<?php
namespace MBWC\Component\MBWC\Site\Controller;

use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\Factory;
use MBWC\Component\MBWC\Site\Helper\MBWCHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Log\Log;

require JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';

class TraineeController extends BaseController
{
    public function display($cachable = false, $urlparams = array()) 
    {        
        return parent::display();
    }
    public function change_trainee() 
    { 
		$app = Factory::getApplication();
        $db = Factory::getDbo(); 
        $Itemid = $app->input->getInt('Itemid');
        $leaderid = $app->input->getInt('leader_id', 0);
        $query="delete from jos_user_usergroup_map where group_id=81 and user_id=".$leaderid; 
		$db->setQuery($query);
		$db->execute() ;
        $query="insert into jos_user_usergroup_map (user_id,group_id) values(".$leaderid.",9)";
		$db->setQuery($query);
		$db->execute() ;
		$currentUser = Factory::getUser() ;
        Log::add($currentUser->get('name').' Upgrade Trainee to full leader '.$leaderid, Log::INFO, 'com_mbwc');
        $url = Route::_('index.php?option=com_mbwc&view=leadersintraining&Itemid='.$Itemid, false) ;
        $this->setRedirect($url) ;
    }
    
    public function remove_trainee() 
    { 
		$app = Factory::getApplication();
        $db = Factory::getDbo(); 
        $Itemid = $app->input->getInt('Itemid');
        $leaderid =$app->input->getInt('leader_id', 0);
        $reason = $app->input->getVar('reason') ;
        $query="delete from jos_user_usergroup_map where group_id=81 and user_id=".$leaderid; 
		$db->setQuery($query);
		$db->execute() ;
        $currentUser = Factory::getUser() ;
        Log::add($currentUser->get('name').' Remove Trainee from user: '.$leaderid .' Reason: '.$reason, Log::INFO, 'com_mbwc');
        $url = Route::_('index.php?option=com_mbwc&view=leadersintraining&Itemid='.$Itemid, false) ;
        $this->setRedirect($url) ;
    }
    
    public function add_new_trainee() 
    {
		$app = Factory::getApplication();
        $selectUser = $app->input->getInt('selectUser',0) ;
        $db = Factory::getDbo();
        $Itemid = $app->input->getInt('Itemid');
        $query="insert into jos_user_usergroup_map (user_id,group_id) values(".$selectUser.",81)";
		$db->setQuery($query);
		$db->execute() ;
        $currentUser = Factory::getUser() ;
        Log::add($currentUser->get('name').' Add new Trainee '.$selectUser, Log::INFO, 'com_mbwc');
        $url = Route::_('index.php?option=com_mbwc&view=leadersintraining&Itemid='.$Itemid, false) ;
        $this->setRedirect($url) ;
    }

}
?>