<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
namespace Mbwc\Component\Mbwc\Site\View\Leadersintraining;
// No direct access
defined('_JEXEC') or die;
require_once JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;

/**
 * HTML View class for the Event Booking component
 *
 * @static
 * @package		Joomla
 * @subpackage	Event Booking
 * @since 1.0
 */
class HtmlView extends BaseHtmlView
{
	function display($tpl = null)
	{		
	    $this->setLayout('default') ;
		$app = Factory::getApplication() ;			
		$db = Factory::getDbo();

		$Itemid = $app->input->getInt('Itemid', 0) ;			

		$sql = "select b.* from jos_user_usergroup_map as a join jos_users as b on b.id=a.user_id where a.group_id=81 order by b.id asc";
		$db->setQuery($sql) ;
		
		$this->items = $db->loadObjectList() ;
		$this->Itemid=$Itemid ;
		$this->config = \EventbookingHelper::getConfig();

		parent::display($tpl) ;				
	}
}