<?php
/**
 * @version		1.0
 * @package		MBWC
 * @subpackage	MBWC
 * @author  Jeff Dun
 * @copyright	Copyright (C) 2023
 * @license		GNU/GPL, see LICENSE.php
 */
namespace Mbwc\Component\Mbwc\Site\View\Leaderswalks;
// No direct access
defined('_JEXEC') or die;
require_once JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;

/**
 * HTML View class for EventBooking component
 *
 * @static
 * @package		Joomla
 * @subpackage	Events Booking
 */
class HtmlView extends BaseHtmlView
{
	function display($tpl = null)
	{		
	    $this->setLayout('default') ;
		$app = Factory::getApplication() ;			
		$db = Factory::getDbo();
		$this->filter_name = $app->input->getVar('filter_name');

		$items = $this->get('Items');				
		$pagination = $this->get('Pagination');						
		$Itemid = $app->input->getInt('Itemid', 0) ;			
		$user = Factory::getUser();									
		$this->items=$items ;

		$sql = "select distinct a.* from jos_users as a join jos_user_usergroup_map as b where (b.group_id=9 or b.group_id=25) and b.user_id=a.id order by a.name";
		$db->setQuery($sql);
		$this->leaders = $db->loadObjectList();
		
		$option="com_mbwc";
	    $state = $this->get('State');
    	$this->sortDirection =  $app->getUserStateFromRequest( $option.'filter_order_Dir', 'filter_order_Dir', 'DESC', 'word');
    	$this->sortColumn = $app->getUserStateFromRequest( $option.'filter_order', 'filter_order', 'name', 'word');

		$this->pagination=$pagination;
		$this->Itemid=$Itemid ;
		parent::display($tpl) ;				
	}
}