<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
namespace MBWC\Component\MBWC\Site\View\Mailregistrants;

// no direct access
defined( '_JEXEC' ) or die ;

/**
 * HTML View class for EventBooking component
 *
 * @static
 * @package		Joomla
 * @subpackage	Events Booking
 */
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Factory;
use MBWC\Component\MBWC\Site\Helper\MBWCHelper;
use Joomla\CMS\HTML\HTMLHelper;

require_once JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';

// Require library + register autoloader
class HtmlView extends BaseHtmlView
{
	function display($tpl = null)
	{	
		$this->setLayout('default') ;
		$user = Factory::getUser();			    
		$app = Factory::getApplication() ;
		$option="com_mbwc";

		$published	= $app->getUserStateFromRequest( $option.'published', 'published', -1, 'int');												
		$eventId			= $app->getUserStateFromRequest( $option.'event_id',			'event_id',			0,				'int' );
		
		$db = Factory::getDbo();
		$sql = "SELECT *, JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id1')) as field_leader_id1 FROM #__eb_events WHERE id=".$eventId ;
	    $db->setQuery($sql) ;
	    $event=$db->loadObject();
		$this->title = $event->title;
		$this->event_date = $event->event_date;

    	$sql = "select name as leader_name, email as leader_email from #__users where id = ".$event->field_leader_id1;
     	$db->setQuery($sql) ;
		$row = $db->loadObject();
		
		$replyName = $row->leader_name;
		$replyEmail = $row->leader_email;
		$this->waitlist    = $app->getInput()->getVar('waitlist', '');		

        if ($this->waitlist == 1)
        {
            $published="3";
        }
        else
        {
            $published="1";
        }
        $sql = 'select distinct email from (SELECT if(a.user_id=0,a.email, b.email) as email FROM jos_eb_registrants as a left join jos_users as b on b.id=a.user_id and a.user_id!=0 WHERE a.published=1 and a.is_group_billing=0 and a.event_id='.$eventId.') as c where c.email not like "%mbwc.org.au%" and c.email != "'. $replyEmail.'"';
	    $db->setQuery($sql) ;
		$this->emails = $db->loadColumn();
		$this->leader_email=$replyEmail;

		$subject			=   $app->getInput()->get('subject', '', 'string'); 
		$this->content			=   $app->getInput()->get('content', '', 'raw'); 
		$this->return			=   $app->getInput()->get('return', '', 'string'); 

		$Itemid = $app->getInput()->getInt('Itemid');						
		$this->Itemid = $Itemid;
		$this->eventId = $eventId;
		$this->tmpl    = $app->getInput()->getVar('tmpl', '');		

	    parent::display($tpl);
	}
}