<?php
/**
 * @version		1.0
 * @package		MBWC
 * @subpackage	MBWC
 * @author  Jeff Dun
 * @copyright	Copyright (C) 2023
 * @license		GNU/GPL, see LICENSE.php
 */
namespace Mbwc\Component\Mbwc\Site\View\Membername;
// No direct access
defined('_JEXEC') or die;
require_once JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;

/**
 * HTML View class for EventBooking component
 *
 * @static
 * @package		Joomla
 * @subpackage	Events Booking
 */
class HtmlView extends BaseHtmlView
{
	function display($tpl = null)
	{	
		$this->setLayout('default') ;
		$user = Factory::getUser();			    
		$app = Factory::getApplication() ;

		$db = Factory::getDbo();
		$this->nullDate = $db->getNullDate();
		
		$Itemid = $app->input->getInt('Itemid');						
		$this->Itemid = $Itemid;
		$this->tmpl    = $app->input->getVar('tmpl', '');		

		parent::display($tpl);				
	}
}