<?php
/**
 * @version		1.0
 * @package		MBWC
 * @subpackage	MBWC
 * @author  Jeff Dun
 * @copyright	Copyright (C) 2023
 * @license		GNU/GPL, see LICENSE.php
 */
namespace Mbwc\Component\Mbwc\Site\View\Memberships;
// No direct access
defined('_JEXEC') or die;
require_once JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;

/**
 * HTML View class for EventBooking component
 *
 * @static
 * @package		Joomla
 * @subpackage	Events Booking
 */
class HtmlView extends BaseHtmlView
{
	function display($tpl = null)
	{		
	    $this->setLayout('default') ;
		$app = Factory::getApplication() ;			
		$db = Factory::getDbo();
		$this->filter_name = $app->input->getVar('filter_name');

		$items = $this->get('Items');				
		$pagination = $this->get('Pagination');						
		$Itemid = $app->input->getInt('Itemid', 0) ;			
		$this->items=$items ;

		$sql = "select distinct last_name from jos_mbwc_membership order by last_name";
		$db->setQuery($sql) ;
		
		$this->last_names = $db->loadObjectList() ;
		$this->pagination=$pagination;
		$this->Itemid=$Itemid ;
		parent::display($tpl) ;				
	}
}