<?php
/**
 * @version		1.0
 * @package		MBWC
 * @subpackage	MBWC
 * @author  Jeff Dun
 * @copyright	Copyright (C) 2023
 * @license		GNU/GPL, see LICENSE.php
 */
namespace Mbwc\Component\Mbwc\Site\View\Visitormailleader;
// No direct access
defined('_JEXEC') or die;
require_once JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;
use Joomla\CMS\Log\Log;

/**
 * HTML View class for EventBooking component
 *
 * @static
 * @package		Joomla
 * @subpackage	Events Booking
 */
class HtmlView extends BaseHtmlView
{
	function display($tpl = null)
	{	
		$this->setLayout('default') ;
		$app = Factory::getApplication() ;
		$option="com_mbwc";

		$eventId = $app->getUserStateFromRequest( $option.'event_id',			'event_id',	0, 'int' );
		
        $first_name = $app->input->getVar('first_name');
        $last_name = $app->input->getVar('last_name');
        $email =$app->input->getVar('email');
        $this->Itemid =$app->input->getVar('Itemid');
        
		$db = Factory::getDbo();
		$sql = 'select title from #__eb_events where id = '.$eventId;
	    $db->setQuery($sql) ;
		$this->title = $db->loadResult();
		$this->eventId = $eventId;
		$this->first_name = $first_name;
		$this->last_name = $last_name;
		$this->email = $email;
		
		if (!$this->email)
		{
        	Log::addLogger(
                array(
                     // Sets file name
                    'text_file' => 'visitors.log.php',
                    'text_entry_format' => '{DATETIME} {CLIENTIP} {MESSAGE}'
               ),
                Log::ALL,
                array('visitors')
            );
            Log::add('Visitor pressed Mail Leader button for event '.$this->title, Log::INFO, 'visitors'); 
		}
	    
	    parent::display($tpl);
	}
}