<?php
/**
 * @version		1.0
 * @package		MBWC
 * @subpackage	MBWC
 * @author  Jeff Dun
 * @copyright	Copyright (C) 2023
 * @license		GNU/GPL, see LICENSE.php
 */
namespace Mbwc\Component\Mbwc\Site\View\Visitors;
// No direct access
defined('_JEXEC') or die;
require_once JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;

/**
 * HTML View class for EventBooking component
 *
 * @static
 * @package		Joomla
 * @subpackage	Events Booking
 */
class HtmlView extends BaseHtmlView
{
	function display($tpl = null)
	{		
	    $this->setLayout('default') ;
		$app = Factory::getApplication() ;			
		$db = Factory::getDbo();

		$Itemid = $app->input->getInt('Itemid', 0) ;			

		$sql = "select a.first_name, a.last_name, a.register_date, b.title, b.event_date, b.id, a.published, c.name, (select group_concat(d.name separator ',') from jos_eb_event_categories as e inner join 
 jos_eb_categories as d on d.id = e.category_id and e.event_id=b.id) as category from jos_eb_registrants as a join jos_eb_events as b on b.id=a.event_id 
 join jos_users as c on c.id=JSON_UNQUOTE(json_extract(b.custom_fields,'$.field_leader_id1')) where (a.published=4 or a.published=5) and b.published=1 order by b.event_date desc";
		$db->setQuery($sql) ;
		
		$this->items = $db->loadObjectList() ;
		$this->Itemid=$Itemid ;
		parent::display($tpl) ;				
	}
}