<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;
?>
<div id="eb-covid-report" class="eb-container row-fluid">
<h1 class="eb_title">Event/Participants Lists</h1>

<section>
   <div>
     <p>
<form action="<?php echo Route::_('index.php'); ?>" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data" class="form form-horizontal">
	<table>
		<tr>			
			<td style="vertical-align: middle;">
				Start Date:				
			</td>
			<td>
        <?php echo HTMLHelper::_('calendar', null,'date', 'date', '%Y-%m-%d'); ?>
			</td>
			</tr><tr>
			<td style="vertical-align: middle;">
				End Date:				
			</td>
			<td>
        <?php echo HTMLHelper::_('calendar', null,'end_date', 'end_date', '%Y-%m-%d'); ?>
			</td>
		</tr>
    </table>
	<input type="hidden" name="option" value="com_mbwc" />	
	<input type="hidden" name="task" value="generate_covid_report" />	
    <input type="hidden" name="controller" value="export" />
    <input type="hidden" name="Itemid" value="<?php echo $this->Itemid; ?>" />
	<input type="button" value="Generate" class="button btn btn-primary" onclick="checkData();"/>		
	<?php echo HTMLHelper::_( 'form.token' ); ?>		
	
		<script language="javascript">
		function checkData() {
			var form = document.adminForm ;
			if (form.date.value == "") {
				alert("Start Date is required");
				form.date.focus();
				return false;
			}						
			if (form.end_date.value == "") {
				alert("End Date is required");
				form.end_date.focus();
				return false;
			}						
			form.submit();
		}
	</script>	
</form></p>
   </div>
</section>
<h1>Report Description</h1>
<p>Pressing the Generate button will output a csv for all events between the supplied dates, and all participants who have booked on these events.
The report includes cancelled walks and cancelled participants for completeness.</p>
<p>The table below explains each column of the report</p>
<table style="border-collapse: collapse;" border=1>
    <tr><th>Event Name</th><td>Name of the event</td></tr>
    <tr><th>Event Date</th><td>Date of the event</td></tr>
    <tr><th>Event Category</th><td>Category of the event</td></tr>
    <tr><th>Event Leader</th><td>Name of the leader for the event</td></tr>
    <tr><th>Event Status</th><td>ACTIVE/CANCELLED - CANCELLED if the leader cancelled the event before it went ahead. Otherwise ACTIVE</td></tr>
    <tr><th>Registrant Member Status</th><td>MEMBER/VISITOR - MEMBER if they are a member of MBWC, or VISITOR if they are a visitor</td></tr>
    <tr><th>Registrant Name</th><td>Name of the Registrant</td></tr>
    <tr><th>Registrant Home Phone</th><td>Registrants home phone number</td></tr>
        <tr><th>Registrant Mobile Phone</th><td>Registrants mobile phone number</td></tr>
        <tr><th>Registrant Event Status</th><td>ACTIVE/CANCELLED - CANCELLED if the registrant cancelled their registration from the event before it went ahead. Otherwise ACTIVE</td></tr>
</table>
<p>
</p>


</div>
