-<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;
use MBWC\Component\MBWC\Site\Helper\MBWCHelper;

?>

<style>
    @media 
only screen and (max-width: 760px)  {

	/* Force table to not be like tables anymore */
	table.jdisplay, table.jdisplay thead, table.jdisplay tbody, table.jdisplay th, table.jdisplay td, table.jdisplay tr { 
		display: block; 
	}
	
	/* Hide table headers (but not display: none;, for accessibility) */
	table.jdisplay thead tr { 
		position: absolute;
		top: -9999px;
		left: -9999px;
	}
	
	table.jdisplay tr { border: 1px solid #ccc; }
	
	table.jdisplay td { 
		/* Behave  like a "row" */
		border: none;
		border-bottom: 1px solid #eee; 
		position: relative;
		padding-left: 50%; 
	}
	
	table.jdisplay td:before { 
		/* Now like a table header */
		position: absolute;
		/* Top/left values mimic padding */
		top: 6px;
		left: 6px;
		width: 45%; 
		padding-right: 10px; 
		white-space: nowrap;
		font-weight: bold;
	}
	/*
	Label the data
	*/
	table.jdisplay td:nth-of-type(1):before { content: "Name:"; }
	table.jdisplay td:nth-of-type(3):before { content: "Trips Lead:"; }
}
</style>
 			<script type="text/javascript">				
				function checkData() {
					var form = document.adminForm ;
        			if (form.selectUser.value == "" ) {
        				alert("Choose a user");
        				form.selectUser.focus();
        				return;
        			}
					form.submit();
				}
               function deleteTrainee(leader_id) {
                    var form = document.adminForm ;
                    var pr = "";
                    while (pr == "")
                    {
                      var pr = prompt("Please enter a Reason for removing the Trainee status. Press the cancel button to back out of this action.\n\nReason (Required):");
                    }
                    if (pr === null) {
                        return false;
                    }
                    form.reason.value = pr;
                    form.task.value = 'remove_trainee' ;
                    form.leader_id.value = leader_id ;
                    form.submit() ;
                }
				</script>
<h1 class="eb-page-heading">Trainee Trip Leaders</h1>
<form action="<?php JRoute::_('index.php?option=com_mbwc');?>" method="post" name="adminForm">
	<?php if (MBWCHelper::manageTraineeTripLeaders())                               
	{ 
		$db = JFactory::getDbo();
        $query = "SELECT * FROM #__users where id in (select user_id from jos_user_usergroup_map where group_id=2) and id not in (select user_id from jos_user_usergroup_map where group_id=9 or group_id=81) order by name";
		$db->setQuery($query);
		$users = $db->loadObjectList();
	
	?>
		<select name="selectUser" id="selectUser"> 	
		<option></option>
		<?php
		foreach ($users as $row) 
		{
		?>			
			<option value="<?php echo $row->id; ?>"> <?php echo $row->name; ?> </option>	  
		<?php
		}
		?>
		</select>    
        <input type="button" class="btn btn-primary" name="btnSave" value="Add selected user as new Trainee Leader" onclick="checkData();"/>
 <?php }
        if(count($this->items))
        { ?>
	<table class="table jdisplay table-bordered table-considered table-striped">
                <thead>
                    <tr>
                        <th>
                            Name
                        </th>
                        <th>
                            Trips Lead
                        </th>
                        <th>
                            Action
                        </th>
                     </tr>
                </thead>
                <tbody>
                    <?php
                    for ($i=0, $n=count( $this->items ); $i < $n; $i++)
                    { 
                        $row = &$this->items[$i];
                        ?> 
                        <tr>
                            <td >
                                <?php echo $row->name ; ?>
                            </td>
                            <td >
                                <?php
		                        $db = JFactory::getDbo();
                        		$sql = "select * from jos_eb_events as a where a.published=1 and not exists (select 1 from jos_eb_event_categories as b join jos_eb_categories as c on c.id=b.category_id 
                        		where b.event_id = a.id and c.parent!=1) and (JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id1'))=".$row->id." or 
                        		JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id2'))=".$row->id." or JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id3'))=".$row->id.") order by event_date";
                        		$db->setQuery($sql) ;
 
                        		$events = $db->loadObjectList() ;
                        		if (count($events) > 0)
                        		{
                        		    echo "<table style='border:0px'>";
                        		}
                                for ($j=0, $m=count( $events ); $j < $m; $j++)
                                {
                                    $link = JRoute::_(EventbookingHelperRoute::getEventRoute($events[$j]->id, 0, 205));
                         		    echo "<tr><td style='padding:0px; border:0px'><a href=".$link." target='_blank'>".JHtml::_('date', $events[$j]->event_date, $this->config->event_date_format, null). ': '.$events[$j]->title."</a></td></tr>";
                                }
                        		if (count($events) > 0)
                        		{
                        		    echo "</table>";
                        		}
                        		?>
                            </td>
                            <td>
                               <?php if (MBWCHelper::manageTraineeTripLeaders())
                               { ?>
                               <a class="btn btn-primary" title="Change to Full Leader" href="<?php echo JRoute::_('index.php?option=com_mbwc&controller=trainee&task=change_trainee&tmpl=component&leader_id='.$row->id.'&Itemid='.$this->Itemid); ?>"><?php echo 'Change to Full Leader' ; ?></a>
                               <a class="btn btn-primary" title="Remove Trainee Status" href="<?php echo 'javascript:deleteTrainee('.$row->id.');'?>"><?php echo 'Remove Trainee Status' ; ?></a>
                               <?php } ?>
                            </td>
                        </tr>
                        <?php
                    }
                    ?>
                </tbody>
            </table>
	<input type="hidden" name="task" value="add_new_trainee" />	
	<input type="hidden" name="controller" value="trainee" />	
	<input type="hidden" name="Itemid" value="<?php echo $this->Itemid;?>" />	
    <input type="hidden" name="reason" />
    <input type="hidden" name="leader_id" />
            </form>
    <?php
    }
    ?>

