<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;
use Joomla\CMS\Editor\Editor;
use Joomla\CMS\Factory;
Factory::getDocument()->getWebAssetManager()->useScript('keepalive');

$user = Factory::getUser();
$editor = Editor::getInstance($user->getParam('editor', Factory::getConfig()->get('editor')));
?>
<div id="eb-mail-leader-page" class="eb-container row-fluid">
<h1 class="eb_title">Mail Leader for <?php echo $this->title?></h1>

<section>
   <div>
     <p>
<form action="<?php JRoute::_('index.php?option=com_mbwc&Itemid='.$this->Itemid);?>" method="post" name="adminForm">
	<table width="100%">
		<tr>			
			<td>
				Mailto:				
			</td>
			<td>
		        <?php echo $this->emails?>
			</td>
		</tr>
		<tr>			
			<td>
				Content				
			</td>
			<td>
						<?php echo $editor->display( 'content',  $this->content , '100%', '250', '90', '10' ) ; ?>		
			</td>
		</tr>
	</table>
	<input type="submit" value="Mail" class="button btn btn-primary" />		
	<input type="hidden" name="emails" value="<?php echo $this->emails; ?>" />
	<input type="hidden" name="title" value="<?php echo $this->title; ?>" />
	<input type="hidden" name="ItemId" value="<?php echo $this->ItemId; ?>" />
	<input type="hidden" name="event_id" value="<?php echo $this->eventId; ?>" />
	<input type="hidden" name="task" value="send_leader_mail" />
	<input type="hidden" name="controller" value="event" />

	<?php echo JHtml::_( 'form.token' ); ?>			
</form></p>
   </div>
</section>


</div>
