<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;
use Joomla\CMS\Editor\Editor;
use Joomla\CMS\Factory;
Factory::getDocument()->getWebAssetManager()->useScript('keepalive');

$user = Factory::getUser();
$editor = Editor::getInstance($user->getParam('editor', Factory::getConfig()->get('editor')));
?>
<div id="eb-mail-leaders" class="eb-container row-fluid">
<h1 class="eb_title">Mail Leaders</h1>

<section>
   <div>
     <p>
<form action="<?php JRoute::_('index.php?option=com_mbwc&task=mail_leaders&Itemid='.$this->Itemid);?>" method="post" name="adminForm">
	<table width="100%">
		<tr>			
			<td>
				Mailto:				
			</td>
			<td>
		    <select name="leaderType" class="form-select" id="leaderType" onchange="document.getElementById('names').value=this.options[this.selectedIndex].getAttribute('data-names'); document.getElementById('emails').value=this.options[this.selectedIndex].getAttribute('data-emails');"> 	
		<option value=""> Select Type</option>
		<?php
		foreach ($this->options as $option) 
		{
		?>			
			<option value="<?php echo $option->value; ?>" data-names="<?php echo $option->names;?>" data-emails="<?php echo $option->emails;?>">  <?php echo $option->text ?> </option>	
			<?php
		}
		?>
		</select>			
		</td>
		</tr>
		<tr>
		    <td>
		        Mailto:
		    </td>
		    <td>
			    <textarea readonly oncopy="return false;" rows=3 style="padding: 0; margin-bottom: 0; width:100%" type="text" name="names" id="names" class="form-control" title=""></textarea><br>
		    </td>
		</tr>
		<tr>			
			<td>
				Subject				
			</td>
			<td>
		        <input type="text" name="subject" id="subject" class="form-control" size="50" style="width:100%"><br>
			</td>
		</tr>
		<tr>			
			<td>
				Content				
			</td>
			<td>
						<?php echo $editor->display( 'content',  $this->content , '100%', '250', '90', '10' ) ; ?>		
			</td>
		</tr>
	</table>
	<input type="submit" value="Mail" class="button btn btn-primary" />		
	<input type="hidden" id="emails" name="emails" value="" />		
	<?php echo JHtml::_( 'form.token' ); ?>			
</form></p>
   </div>
</section>


</div>
