<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;
// no direct access
defined( '_JEXEC' ) or die ;
$cols = 7;
?>
<div id="eb-registrants-management-page" class="eb-container row-fluid">
<?php
if ($this->waitlist)
{
?>
<h1 class="eb_title">Add Waitlist</h1>
<?php
}
else
{
?>
<h1 class="eb_title">Add Registrant</h1>
<?php
}
EventbookingHelperJquery::loadjQuery();
EventbookingHelperJquery::validateForm();
Factory::getDocument()->addScript(Uri::root(true) . '/media/com_eventbooking/assets/js/imask/imask.min.js');
?>
<script>
MBWCMaskInputs = function (form) {
    form.querySelectorAll('input[data-input-mask]').forEach(function (input) {
        var mask = input.dataset.inputMask;

        // Assume this is a regular expression
        if (mask.slice(0, 1) === '/' && mask.slice(-1) === '/') {
            mask = mask.slice(1); // Remove first character
            mask = mask.slice(0, -1); // Remove last character
            mask = new RegExp(mask);
        }

        var regExpMask = IMask(
            input,
            {
                mask: mask
            });
    });
}
window.onload = function(){
   MBWCMaskInputs(document.getElementById('adminForm'));
};

</script><link
  rel="stylesheet"
  href="https://cdnjs.cloudflare.com/ajax/libs/selectize.js/0.15.2/css/selectize.default.min.css"
  integrity="sha512-pTaEn+6gF1IeWv3W1+7X7eM60TFu/agjgoHmYhAfLEU8Phuf6JKiiE8YmsNC0aCgQv4192s4Vai8YZ6VNM6vyQ=="
  crossorigin="anonymous"
  referrerpolicy="no-referrer"
/>
<script
  src="https://cdnjs.cloudflare.com/ajax/libs/selectize.js/0.15.2/js/selectize.min.js"
  integrity="sha512-IOebNkvA/HZjMM7MxL0NYeLYEalloZ8ckak+NDtOViP7oiYzG5vn6WVXyrJDiJPhl4yRdmNAG49iuLmhkUdVsQ=="
  crossorigin="anonymous"
  referrerpolicy="no-referrer"
></script>
<div>
<script type="text/javascript">
jQuery(document).ready(function(){
    jQuery('input[type="radio"]').click(function(){
        var inputValue = jQuery(this).attr("value");
        var targetBox = jQuery("." + inputValue);
        jQuery(".box").not(targetBox).hide();
        jQuery(targetBox).show();
    });
    jQuery(".box").not(".red").hide();
    jQuery("#selectUser").selectize({
          sortField: 'text',
          placeholder: 'Select Member’s Name'
    });
    jQuery("#adminForm").validationEngine();
});
</script>
<script type="text/javascript">				
	function validateMobile() {
		var form = document.adminForm ;
		if (form.colorRadioGreen.checked && form.txtPhone.value == " XXXX XXXX" ) {
		   form.txtPhone.value="";
 		}
		if (form.colorRadioGreen.checked && form.txtMobile.value == "04XX XXX XXX" ) {
		   form.txtMobile.value="";
 		}

		if (form.colorRadioGreen.checked && (form.txtPhone.value == "" || form.txtPhone.value.includes("X")) && (form.txtMobile.value == "" || form.txtMobile.value.includes("X"))) {
            form.txtPhone.value=" XXXX XXXX";
            form.txtMobile.value="04XX XXX XXX";
   			return "Either Mobile Phone or Home Phone required. (Mobile prefered)";
		}
	}
	function checkData() {
		var form = document.adminForm ;
		if (form.colorRadioGreen.checked && form.txtPhone.value.includes("X") ) {
		   form.txtPhone.value="";
 		}
		if (form.colorRadioGreen.checked && form.txtMobile.value.includes("X")) {
		   form.txtMobile.value="";
 		}
 		form.submit();
	}
</script>

<form action="<?php JRoute::_('index.php?option=com_mbwc&view=newregistrant&waitlist='.$this->waitlist.'&Itemid='.$this->Itemid);?>" method="post" id="adminForm" name="adminForm">
    <p><b>Note:</b> Adding someone will send them an email to inform them that they have been added.</p>
	<?php 
	
	
	if ($this->eventId)
	{ 
		$db = Factory::getDBO();
	    //remove if in waitlist or registered
        $query = "SELECT * FROM #__users where id not in (select user_id from jos_eb_registrants as a left join #__eb_events as b on b.id=a.event_id  
        where a.user_id is not null and a.is_group_billing=0 and a.published in (1,3) and  ('" .$this->event->event_date. "' < if(b.event_end_date='0000-00-00 00:00:00',DATE_ADD(b.event_date, INTERVAL 5 HOUR),b.event_end_date) )
        and (if('".$this->event->event_end_date."'='0000-00-00 00:00:00',DATE_ADD('".$this->event->event_end_date."', INTERVAL 5 HOUR),'".$this->event->event_end_date."') > b.event_date) and b.published=1) 
        and id in (select user_id from jos_user_usergroup_map where group_id=2)  order by name";

		$db->setQuery($query);

		$rows = $db->loadObjectList();

		?>
		  <label><input type="radio" id="colorRadioRed" name="colorRadio" value="red" checked="checked"> Add Member</label>
        <label><input type="radio" id="colorRadioGreen" name="colorRadio" value="green"> Add Visitor</label>
    
    <div class="red box">
 
		<select class="form-select" name="selectUser" id="selectUser"> 	
		<!-- <option value="0"> Select Member’s Name</option> -->
		<option></option>
		<?php
		foreach ($rows as $row) 
		{
		?>			
			<option value="<?php echo $row->id; ?>"> <?php echo $row->name; ?> </option>	  
		<?php
		}
		?>
		</select>	</div>
		   <div class="green box">
		<br>
		<!-- <input type="checkbox" name="chkNewUser" id="chkNewUser"  value="NewUser"> &nbsp; &nbsp; Visitor<br><br> -->
		
		First Name: <br>
		<input class="form-control validate[required]" data-errormessage-value-missing="First Name is required!" type="text" name="txtFirstName" id="txtFirstName" ><br>
		
		Last Name: <br>
		<input class="form-control validate[required]" data-errormessage-value-missing="Last Name is required!" type="text" name="txtLastName" id="txtLastName" ><br>
		
		Email: <br>
		<input class="form-control validate[custom[email]]" data-errormessage-custom-error="Please provide a valid email address" type="text" name="txtEmail" id="txtEmail" data-input-mask="/^\S*@?\S*$/"> 
		<div class="form-text"><b>Note:</b>&nbsp;Please enter email if you know it so the visitor can receive all relevant emails</div><br>
		
		Phone: <br>
		<input class="form-control validate[funcCall[validateMobile]]" type="text" name="txtPhone" id="txtPhone" data-input-mask="[00] `0000 0000">
		<div class="form-text">Press backspace at the start of the field if you want to enter area code</div><br>
		
		Mobile: <br>
		<input class="form-control validate[funcCall[validateMobile]]" type="text" name="txtMobile" id="txtMobile" data-input-mask="\0\400 000 000"><br></div>
		
		<br><input type="button" class="btn btn-primary" name="btnSave" value="Add" onclick="checkData();"/>
		<input type="button" class="btn btn-primary" name="btnBack" value="Cancel" onclick="window.history.go(-1);">
		
	<?php
	}
?>	
	<input type="hidden" name="task" value="" />	
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />	
	<?php echo JHtml::_( 'form.token' ); ?>			
</form>
</div>
</div>