-<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;
require_once JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';
?>

<style>
    @media 
only screen and (max-width: 760px)  {

	/* Force table to not be like tables anymore */
	table.jdisplay, table.jdisplay thead, table.jdisplay tbody, table.jdisplay th, table.jdisplay td, table.jdisplay tr { 
		display: block; 
	}
	
	/* Hide table headers (but not display: none;, for accessibility) */
	table.jdisplay thead tr { 
		position: absolute;
		top: -9999px;
		left: -9999px;
	}
	
	table.jdisplay tr { border: 1px solid #ccc; }
	
	table.jdisplay td { 
		/* Behave  like a "row" */
		border: none;
		border-bottom: 1px solid #eee; 
		position: relative;
		padding-left: 50%; 
	}
	
	table.jdisplay td:before { 
		/* Now like a table header */
		position: absolute;
		/* Top/left values mimic padding */
		top: 6px;
		left: 6px;
		width: 45%; 
		padding-right: 10px; 
		white-space: nowrap;
		font-weight: bold;
	}
	/*
	Label the data
	*/
	table.jdisplay td:nth-of-type(1):before { content: "Event Date:"; }
	table.jdisplay td:nth-of-type(2):before { content: "Event Title:"; }
	table.jdisplay td:nth-of-type(3):before { content: "Event Category:"; }
	table.jdisplay td:nth-of-type(4):before { content: "Leader Name:"; }
}
</style>
<h1 class="eb-page-heading">Outstanding Trip Reports</h1>
<form method="post" name="adminForm" id="adminForm" action="<?php echo JRoute::_('index.php?option=com_mbwc&view=outstandingtripreports&Itemid='.$this->Itemid); ; ?>">
	<?php
        if(count($this->items))
        { ?>
	<table class="table jdisplay table-bordered table-considered table-striped">
                <thead>
                    <tr>
                        <th>
                            Event Date
                        </th>
                        <th>
                            Event Title
                        </th>
                        <th>
                            Event Category
                        </th>
                        <th >
                            Leader Name
                        </th>
                        <th >
                            Owner Name
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    for ($i=0, $n=count( $this->items ); $i < $n; $i++)
                    {
                        $row = &$this->items[$i];
                        ?>
                        <tr>
                            <td >
                                <?php echo JHtml::_('date', $row->event_date, 'd-m-Y'); ?>
                            </td>
                            <td>
					<a href="<?php echo JRoute::_(\EventbookingHelperRoute::getEventRoute($row->id, 0, $this->Itemid));?>" class="eb-event-link"><?php echo $row->title ; ?></a>
                            </td>
                            <td >
                                <?php echo $row->category ; ?>
                            </td>
                            <td >
                                <?php echo $row->name ; ?>
                            </td>
                            <td >
                                <?php echo $row->owner ; ?>
                            </td>
                        </tr>
                        <?php
                    }
                    ?>
                </tbody>
            </table>
        <input type="hidden" name="task" value="" />
         <input type="hidden" name="id" value="" />
       <input type="hidden" name="Itemid" value="<?php echo $this->Itemid ; ?>" />
        <input type="hidden" name="option" value="com_mbwc" />
    <?php
    }
    ?>
</form>
