<?php 
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;

?>
<style>
    .rotate {
  -webkit-transform: rotate(-90deg);
     -moz-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
     -o-transform: rotate(-90deg);
     transform: rotate(-90deg);
     
  /* Should be unset in IE9+ I think. */
  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
  white-space: nowrap; 
}
  table, th, td, div {
      font-family: "Times New Roman";
  }
  table, th, td {
      border: 1px solid black;
      word-wrap: break-word;
  }
table tr { page-break-inside: avoid! important;margin: 4px 0 4px 0;}

  table {
      width:1000px;
      table-layout:fixed;
      border-collapse: collapse;
  }
  .border-top {
      border-top: 2px solid black;
      border-left: 2px solid black;
      border-right: 2px solid black;
  }
  .border-side {
      border-left: 2px solid black;
      border-right: 2px solid black;
      border-bottom: 2px solid black;
  }  
  table tr:nth-child(even) td{
  background:white;
}
 @media print{ 
     html, body { height: auto; } 
  #printContainer > .printedPage {
    width: 99%;
  }
  body {
    orphans: 0;
  }
  }

</style>
<script defer>
  function resizeText() {
    var allTexts = document.querySelectorAll('.rotate');
    const resize = function(el) { 
        var scale = el.parentNode.parentNode.clientHeight / el.clientWidth / 2.7;
        if (scale > 1.5)
        {
            scale=1.5
        }
        el.style.transform="rotate(-90deg)  scale(" + scale + ") translateX(-50%) translateY(20%)";
    };
    const observer = new ResizeObserver(entries => {
          entries.forEach(entry => {
          resize(entry.target);
        });
    });
    allTexts.forEach(text => {
        observer.observe(text);
    })
    
  }
  if (window.addEventListener)
      window.addEventListener("load", resizeText, false);
  else if (window.attachEvent)
      window.attachEvent("onload", resizeText);
  else window.onload = resizeText;
</script>
<table class="table table-condensed">
	<thead>
	    <tr width=100% height=100% style="padding:0; margin:0; border:0"><td width=100% height=100% style="padding:0; margin:0; border:0"><table class="table table-condensed" style="margin-bottom: 0px;">
		<tr>
		<td  width=30px style="border-right: 2px solid black;">
			<b style="font-size:8pt">Date</b>
		</td>
		<td width=300px>
			<b style="font-size:8pt">Title</b>
		</td>
		<td width=40px>
			<b style="font-size:8pt">Gr</b>
		</td>
		<td width=25px>
			<b style="font-size:8pt">Kms</b>
		</td>
		<td  width=150px>
			<b style="font-size:8pt">Leader</b>
		</td>
				<td width=60px>
				<b style="font-size:8pt">No.</b>
				</td>	
		</tr>
		</table></td></tr>
	</thead>
	<?php
		$db = JFactory::getDbo();

        $nextyear = 0;
        $currentYear = date("Y");
	    $user = JFactory::getUser();
		for ($i = 0 , $n = count($this->items) ; $i < $n;) 
		{
			$item = $this->items[$i] ;

            $year=date('Y', strtotime($item->event_date));
            if ($year > $currentYear && $nextyear == 0)
            {
                $nextyear=1;
                ?>
                <tr>
                    <td colspan=6 style="text-align: center; vertical-align: middle;">
                        <b>TRACK AHEAD <?php echo $year;?></b>
                        </td>
                 </tr>
                 <?php
            }
            // Count number of items with the same date
            $curdate=date('Ymd', strtotime($item->event_date));
            $numevents=0;
            $j=$i;
            while (($j+1) < count($this->items) && $curdate == date('Ymd', strtotime($this->items[$j+1]->event_date)))
            {
                $j++;
            }
	?>
	<tr width=100% height=100% style="padding:0; margin:0; border:0"><td width=100% height=100% style="padding:0; margin:0; border:0"><table class="table table-condensed" style="margin-bottom: 0px;">
				<?php
				$start = $i;
				while ($i <= $j)
				{ 
			        $item = $this->items[$i] ;
				    ?>
			<tr class="border-top">
			    <?php
				   if ($i == $start)
				   {
				   ?>
				<td width=30px rowspan=<?php echo ($j-$i+1)*2;?> style="border-right: 2px solid black;">
				    <b><div  class=rotate >
					<?php
                    	if ($item->event_date == EB_TBC_DATE) 
						{
                        	echo JText::_('EB_TBC');
                        } 
                        else 
						{
                            echo JHtml::_('date', $item->event_date, 'D j M', null);
                        }
					?>
					</div></b>
				</td>
				   <?php 
				   }
				   ?>
				<td width=300px><b style="font-size:12pt">
				   <?php if ($item->published == 2) echo "CANCELLED - "; echo trim(preg_replace('/[\s]+/mu', ' ',strip_tags($item->title)) ) ; ?></b>
				</td>
				<td width=40px style="font-size:11pt">
					<?php 

					$db = JFactory::getDbo();
					$db->setQuery("SELECT description FROM #__eb_categories WHERE id IN (SELECT category_id FROM #__eb_event_categories WHERE event_id = $item->id)");
					$categories = $db->loadColumn();

					if (in_array("BC",$categories))
					{
					    echo "BC";
					}
					else
					{
					  echo implode(', ', $categories);
					}
					?>	
				</td>
				<td width=25px style="font-size:11pt">
					<?php echo empty($item->paramData['field_distance'])? 'All':$item->paramData['field_distance']; ?>	
				</td>
				<td width=150px class="leader" style="font-size:11pt">
					<?php 
					
					$leaders=explode(",",$item->leader_name);
					if (count($leaders) > 1)
					{
					    $leaders[0] = $leaders[0][0].' '.explode(' ',$leaders[0])[1];
					}
					echo $leaders[0];
					
					if (count($leaders) > 1)
					{
 					    $leaders[1] = $leaders[1][0].' '.explode(' ',$leaders[1])[1];
   				        echo ", ".$leaders[1];
 					}
					if (count($leaders) > 2)
					{
 					    $leaders[2] = $leaders[2][0].' '.explode(' ',$leaders[2])[1];
   				        echo ", ".$leaders[2];
					}

					?>
				</td>
				<td width=60px style="white-space: nowrap;font-size:11pt">
					<?php 
					
				    echo empty($item->paramData['field_mobile_ph'])? $item->paramData['field_home_ph']:$item->paramData['field_mobile_ph'];
					$district=$item->paramData['field_firedistrict'];
					if ($district === "Not Applicable")
					{
					    $district="";
					}
					else
					{
					    $district = $district . " District.";
					}
					?>

				</td>
			</tr>
			<tr class="border-side" >
			    <td colspan=5 style="font-size:11pt"><?php echo trim(preg_replace('/[\s]+/mu', ' ',strip_tags($item->description)) ). ' '.$district?></td>
			</tr>
			<?php
			  $i++;
				}
			?>
	</td></tr></table>
	<?php } ?>
</table>
<?php
		$db = JFactory::getDbo();
		$year = date("Y") ;
		$month = date("m", strtotime("first day of previous month")) ;
		$month_name = date("M", strtotime("first day of previous month")) ;
		$sql="SELECT a.published, DATE_FORMAT((IFNULL(e.event_date,a.event_date)), '%a') as day, DATE_FORMAT(IFNULL(e.event_date,a.event_date),'%e/%c/%y') as event_date, DATE_FORMAT(IFNULL(e.event_end_date,a.event_end_date),'%e/%c/%y') as event_end_date, 
		ifnull(e.event_name,a.title) as title, a.custom_fields,  
ifnull(e.num_members,'Unsubmitted') as trip_report_num_members, count(distinct if(b.is_group_billing=0 AND b.published=1 and b.user_id is not null and b.user_id != 0, b.email, NULL)) as num_members, 
ifnull(e.num_visitors,'Unsubmitted') as trip_report_num_visitors,count(distinct if(b.is_group_billing=0 AND b.published=1 and b.user_id = 0, b.email, NULL)) as num_visitors, 
ifnull(e.num_cancellations, 'Unsubmitted') as trip_report_num_cancellations,count(distinct if (b.is_group_billing=0 AND b.published=2,b.email,NULL)) as num_cancellations, 
COALESCE(e.leader,concat_ws(',',
		(select name from jos_users as b where b.id=JSON_UNQUOTE(JSON_EXTRACT(a.custom_fields,'$.field_leader_id1'))),
		(select name from jos_users as b where b.id=JSON_UNQUOTE(JSON_EXTRACT(a.custom_fields,'$.field_leader_id2'))),
		(select name from jos_users as b where b.id=JSON_UNQUOTE(JSON_EXTRACT(a.custom_fields,'$.field_leader_id3'))))) as leader,
 COALESCE(e.actual_distance,JSON_UNQUOTE(JSON_EXTRACT(a.custom_fields,'$.field_distance'))) as distance, 
 ifnull(e.grade,x.category) as category,
 if(e.id,'Submitted','Unsubmitted') as trip_report_status
 from jos_eb_events as a 
  left join jos_eb_registrants as b on a.id = b.event_id 
 left join jos_mbwc_tripreports as e on e.event_id = a.id
 left join (select c.event_id, group_concat(d.name separator ',') as category from jos_eb_event_categories as c inner join 
 jos_eb_categories as d on d.id = c.category_id group by c.event_id) as x on x.event_id = a.id where 
 a.published > 0 and year(IFNULL(e.event_date,a.event_date)) = ".$year." and month(IFNULL(e.event_date,a.event_date)) = ".$month." 
 and exists (select 1 from jos_eb_event_categories as h inner join 
 jos_eb_categories as g on g.id = h.category_id join jos_mbwc_categoryextras as f on g.id=f.category_id where h.event_id=a.id and f.trip_report_required=1) group by a.id order by IFNULL(e.event_date,a.event_date)";

		$db->setQuery($sql) ;
		$trips  = $db->loadObjectList();

?>
<h4 style="page-break-before: always"><center><?php echo $month_name. ' '.$year.' trip extract'; ?> </center></h3>

<table>
	<thead>
	    <tr width=100% height=100% style="padding:0; margin:0; border:0">
		<td  width=25px style="border-right: 2px solid black;">
			<b>Day</b>
		</td>
		<td  width=35px style="border-right: 2px solid black;">
			<b>Start Date</b>
		</td>
		<td width=300px>
			<b>Activity Name</b>
		</td>
		<td width=20px>
			<b>kms</b>
		</td>
		<td width=65px>
			<b>Category</b>
		</td>
		<td width=30px>
			<b>Memb</b>
		</td>
		<td width=20px>
			<b>Vis</b>
		</td>
		<td width=25px>
			<b>Canc</b>
		</td>
		<td  width=80px>
			<b>Leader</b>
		</td>
		</tr>
	</thead>
				<?php
				for ($i=0;$i<count($trips);$i++)
				{ 
				  $trip=$trips[$i];
				  ?>
	    <tr width=100% height=100% style="padding:0; margin:0; border:0">

		<td  width=25px style="border-right: 2px solid black;">
			<?php echo $trip->day; ?>
		</td>
		<td  width=35px style="border-right: 2px solid black;">
			<?php echo $trip->event_date; ?>
		</td>
		<td width=300px>
			<?php echo $trip->title; ?>
		</td>
		<td width=20px>
			<?php echo $trip->distance; ?>
		</td>
		<td width=65px>
			<?php echo $trip->category; ?>
		</td>
		<td width=30px>
			<?php if ($trip->trip_report_status == "Unsubmitted") { echo $trip->num_members; } else { echo $trip->trip_report_num_members; } ?>
		</td>
		<td width=20px>
			<?php if ($trip->trip_report_status == "Unsubmitted") echo $trip->num_visitors; else echo $trip->trip_report_num_visitors; ?>
		</td>
		<td width=25px>
			<?php if ($trip->trip_report_status == "Unsubmitted") echo $trip->num_cancellations; else echo $trip->trip_report_num_cancellations; ?>
		</td>
		<td  width=80px>
			<?php echo $trip->leader; ?>
		</td>
		</tr>
    <?php } ?>
</table>