<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;
use \Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;

Factory::getDocument()->getWebAssetManager()->useScript('keepalive');
Factory::getDocument()->addScript(Uri::root(true) . '/media/com_eventbooking/assets/js/imask/imask.min.js');

EventbookingHelperJquery::loadJQuery();
?>
<script>
MBWCMaskInputs = function (form) {
    form.querySelectorAll('input[data-input-mask]').forEach(function (input) {
        var mask = input.dataset.inputMask;

        // Assume this is a regular expression
        if (mask.slice(0, 1) === '/' && mask.slice(-1) === '/') {
            mask = mask.slice(1); // Remove first character
            mask = mask.slice(0, -1); // Remove last character
            mask = new RegExp(mask);
        }

        var regExpMask = IMask(
            input,
            {
                mask: mask,
                lazy: false,
                placeholderChar: 'X',
                expose: true
            });
    });
}
window.onload = function(){
   MBWCMaskInputs(document.getElementById('adminForm'));
};

</script>
<div id="eb-visitor-mail-leader-page" class="eb-container row-fluid">
<h1 class="eb_title">&nbsp;Register for <?php echo $this->title?></h1>

<section>
   <div>
     <p>
<form action="<?php JRoute::_('index.php');?>" method="post" name="adminForm" id="adminForm">
	<table width="95%" style="margin-left:3px">
		<tr>			
			<td width="25%">
				First Name:<span class="required">*</span>			
			</td>
			<td>
				<input type="text" style="width:95%" class="form-control" value="<?php echo $this->first_name;?>" size="50" name="first_name" id="first_name"/>
			</td>
			</tr>
			<tr>
			<td>
				Last Name:<span class="required">*</span>			
			</td>
			<td>
				<input type="text" style="width:95%" class="form-control" value="<?php echo $this->last_name;?>" size="50" name="last_name" id="last_name"/>
			</td>
			</tr>
			<tr>
			<td>
				Mobile Phone Number:		
			</td>
			<td>
				<input id="mobile_phone" style="width:95%" type="text" class="form-control" value="" size="50" name="mobile_phone" data-input-mask="\0\400 000 000" title="mobile phone number like 04xx xxx xxx" />
				<div class="form-text">Enter a mobile phone number like 04XX XXX XXX</div>
			</td>
			</tr><tr>
			<td>
				Home Phone Number:			
			</td>
			<td>
				<input type="text" style="width:95%" class="form-control" value="" size="50" name="home_phone" id="home_phone" data-input-mask="[00] `0000 0000"/>
				<div class="form-text">Press backspace at the start of the field if you want to enter area code</div>
			</td>
		</tr>
		<tr>			
			<td>
				Your Email:<span class="required">*</span>			
			</td>
			<td>
				<input type="email" style="width:95%" class="form-control" value="<?php echo $this->email;?>" size="50" name="email" id="email"  />
			</td>
		</tr>
		<tr>			
			<td>
				Please provide detailed previous walking experience:<span class="required">*</span>				
			</td>
			<td colspan=3>
		      		<textarea style="width:95%" rows="4" cols="200" name="experience" id="experience" class="form-control"></textarea>		
			</td>
		</tr>
		<tr>			
			<td>
				Emergency Contact or Next of Kin Name:<span class="required">*</span>			
			</td>
			
			<td>
				<input type="text" style="width:95%" class="form-control" value="" size="50" name="kin" id="kin"/>
			</td></tr><tr>
			<td width="25%">
				Emergency Contact or Next of Kin Relationship:<span class="required">*</span>			
			</td>
			<td>
				<input type="text" style="width:95%" class="form-control" value="" size="50" name="kin_relationship" id="kin_relationship"/>
			</td>
		</tr>
			<tr>
			<td>
				Emergency Contact or Next of Kin Mobile Phone Number:			
			</td>
			<td>
				<input id="kin_mobile_phone" style="width:95%" type="text" class="form-control" value="" size="50" name="kin_mobile_phone" data-input-mask="\0\400 000 000" title="mobile phone number like 04xx xxx xxx" />
				<div class="form-text">Enter a mobile phone number like 04XX XXX XXX</div>
			</td></tr><tr>
			<td>
				Emergency Contact or Next of Kin Home Phone Number:			
			</td>
			<td>
				<input type="text" style="width:95%" class="form-control" value="" size="50" name="kin_home_phone" id="kin_home_phone" data-input-mask="[00] `0000 0000"/>
				<div class="form-text">Press backspace at the start of the field if you want to enter area code</div>
			</td>
		</tr>
		<tr>			
			<td>
				Emergency Contact or Next of Kin 2 Name:			
			</td>
			<td>
				<input type="text" style="width:95%" class="form-control" value="" size="50" name="kin2" id="kin2"/>
			</td></tr><tr>
			<td>
				Emergency Contact or Next of Kin 2 Relationship:			
			</td>
			<td>
				<input type="text" style="width:95%" class="form-control" value="" size="50" name="kin_relationship2" id="kin_relationship2"/>
			</td>
		</tr>
			<tr>
			<td>
				Emergency Contact or Next of Kin 2 Mobile Phone Number:			
			</td>
			<td>
				<input id="kin_mobile_phone2" style="width:95%" type="text" class="form-control" value="" size="50" name="kin_mobile_phone2" data-input-mask="\0\400 000 000" title="mobile phone number like 04xx xxx xxx" />
				<div class="form-text">Enter a mobile phone number like 04XX XXX XXX</div>
			</td></tr><tr>
			<td>
				Emergency Contact or Next of Kin 2 Home Phone Number:			
			</td>
			<td>
				<input type="text" style="width:95%" class="form-control" value="" size="50" name="kin_home_phone2" id="kin_home_phone2" data-input-mask="[00] `0000 0000"/>
				<div class="form-text">Press backspace at the start of the field if you want to enter area code</div>
			</td>
		</tr>
		<tr>
		  <td>
Acknowledgement of Risks and Obligations
				<input type="checkbox" class="form-check-input" value=""  name="acknowledgement" /><span class="required">*</span>

		  </td>
		  <td colspan=3>
In voluntarily participating in activities organised by the Maroondah Bushwalking Club (the Club), described to me by the Club’s activity leaders, I am aware that my participation in these activities may expose me to risks that could lead to injury, property loss or damage. These risks include (but are not limited to) slippery or uneven surfaces, loose rocks, sunburn, pits/trenches and hyperthermia.<br>
To minimise these risks during activities I will:
<ol>
<li>Ensure activities are within my capabilities.</li>
<li>Carry snacks, lunch, 1 litre water (more in hot weather), sunscreen, personal medication, first
aid kit, wear protective clothing, wear strong walking boots, and carry the appropriate equipment.</li>
<li>Inform the activity leader if I am taking medication or have physical or other limitations that might affect
my participation.</li>
<li>Make every effort to ensure that I will remain with the rest of the party during the activity.</li>
<li>Accept & follow instructions given by the activity leader and the nominated whip.</li>
<li>Carry the club's <strong><a href="form-m6-personal-emergency-information">Personal Emergency Information (Form M6)</a></strong> detailing any critical medical information
and person(s) who can act on my behalf.</li>
</ol>
<p><b>NOTE: Bushwalking Victoria strongly recommends that all members take out personal ambulance cover with
Ambulance Victoria.	</b></p>
Having read and understood these requirements and risks, I wish to join this activity. I have considered the risks before choosing to sign this acknowledgement of risk and I accept that in signing this form I take responsibility for my actions
		  </td>
		  </tr>
		<tr>
			<td>
				Verification Code<span class="required">*</span>
			</td>
			<td>
				<input type="text" class="form-control" value="" size="50" name="security_code" />
				<img src="<?php echo JRoute::_('index.php?option=com_mbwc&task=show_captcha_image'); ?>"  align="middle" id="captcha_image" />
				<a href="javascript:reloadCaptcha();"><strong>Reload</strong></a>
			</td>
		</tr>

	</table>
	<input type="button" value="Register" class="button btn btn-primary" onclick="checkData();" />		
	<input type="hidden" name="btn" value="pressed" />
	<input type="hidden" name="event_id" value="<?php echo $this->eventId?>" />
	<input type="hidden" name="title" value="<?php echo $this->title?>" />
	<input type="hidden" name="task" value="register_visitor" />
	<input type="hidden" name="option" value="com_mbwc" />
	<input type="hidden" name="controller" value="registrant" />
	<input type="hidden" name="view" value="" />
									

	<?php echo JHtml::_( 'form.token' ); ?>			
</form></p>
   </div>
</section>


</div>
	<script language="javascript">
		function reloadCaptcha() {									
			document.getElementById('captcha_image').src = 'index.php?option=com_mbwc&task=show_captcha_image&ran=' + Math.random();			
		}	
		function checkData() {
			var form = document.adminForm ;
			if (form.security_code.value == "") {
				alert("security code is required");
				form.security_code.focus();
				return false;
			}						
			if (!form.acknowledgement.checked) {
				alert("Acknowledgement of risks is required");
				form.acknowledgement.focus();
				return false;
			}						
			if (form.first_name.value == "") {
				alert("First Name is required");
				form.first_name.focus();
				return false;
			}						
			if (form.last_name.value == "") {
				alert("Last Name is required");
				form.last_name.focus();
				return false;
			}						
			if (form.experience.value == "") {
				alert("Previous Walking Experience is required");
				form.experience.focus();
				return false;
			}						
			if (form.mobile_phone.value == "" && form.home_phone.value == "") {
				alert("Either Mobile Phone or Home Phone required (prefer mobile)");
				form.mobile_phone.focus();
				return;
			}						
			if (form.email.value == '') {
				alert("<?php echo JText::_('EB_REQUIRE_EMAIL'); ?>");
				form.email.focus();
				return;
			}							
			if (form.kin.value == "") {
				alert("Next of Kin Name is required");
				form.kin.focus();
				return false;
			}						
			if (form.kin_relationship.value == "") {
				alert("Next of Kin Relationship is required");
				form.relationship.focus();
				return false;
			}						
			if (form.kin_mobile_phone.value == "" && form.kin_home_phone.value == "") {
				alert("Either Next of Kin Mobile Phone or Next of Kin Home Phone required. (Mobile prefered)");
				form.kin_mobile_phone.focus();
				return false;
			}
			var input = document.createElement('input');
            input.type='email';
            input.value=form.email.value;
            input.required = true;
			if (!input.checkValidity()) {
				alert('<?php echo  JText::_('EB_VALID_EMAIL'); ?>');
				form.email.focus();
				return;
			}
			var object={};
			object.first_name=form.first_name.value;
			object.last_name=form.last_name.value;
			object.experience=form.experience.value;
			object.mobile_phone=form.mobile_phone.value;
			object.email=form.email.value;
			object.kin=form.kin.value;
			object.kin_relationship=form.kin_relationship.value;
			object.kin_mobile_phone=form.kin_mobile_phone.value;
			object.kin_home_phone=form.kin_home_phone.value;
			object.kin2=form.kin2.value;
			object.kin_relationship2=form.kin_relationship2.value;
			object.kin_mobile_phone2=form.kin_mobile_phone2.value;
			object.kin_home_phone2=form.kin_home_phone2.value;
			var jsonString=JSON.stringify(object);
			localStorage.setItem('MBWCVisitorForm', jsonString);
			
			form.submit();
		}
		jQuery(document).ready(function()
		{
		    var jsonString = localStorage.getItem('MBWCVisitorForm');
		    if (jsonString)
		    {
		        object=JSON.parse(jsonString);
                jQuery.each(object, function (key, value) {
                    var field = document.getElementById(key);
                    field.value = value;
                });		        
		    }
		});
	</script>	
