<?php
/**
 * @version		1.5.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;
$param = null ;
$timeFormat = $this->config->event_time_format ? $this->config->event_time_format : 'g:i a' ;    
$daysInWeek = array(
	0 => 'Sunday',
	1 => 'Monday',
	2 => 'Tuesday',
	3 => 'Wednesday',
	4 => 'Thursday',
	5 => 'Friday',
	6 => 'Saturday'									
);

$monthsInYear = array(
	1 => "Jan",
	2 => "Feb",
	3 => "Mar",
	4 => "Apr",
	5 => "May",
	6 => "Jun",
	7 => "Jul",	
	8 => "Aug",
	9 => "Sep",
	10 => "Oct",
	11 => "Nov",
	12 => "Dec"
);
?>
<style>
            table td {
            border: 1px solid black;
        }
        table th {
            border: 1px solid black;
        }
</style>
<form method="post" name="adminForm" id="adminForm" action="<?php echo JRoute::_('index.php?option=com_mbwc&view=yearplanner&Itemid='.$this->Itemid);?>">
            <?php echo $this->searchYear; ?>
				<div style="width:300px">Include all Multi Day Events: &nbsp;
				<input type="checkbox" id="filter_allmulti" onchange="document.getElementById('filter_allmulti').value='1'; document.adminForm.submit();" name="filter_allmulti" value="0" <?php if ($this->filter_allmulti) echo " checked";?>></div>
<div id="extcalendar">

<div style="overflow-x:auto;">
    <table border=1 >
    <?php
        
        $event_num=1;
        echo "<tr><th>Day</th>";
        for ($m=1;$m<=12;$m++)
        {
            echo "<th style='width:150px'>".$monthsInYear[$m]."</th>";

        }
        echo "</tr>";
        $data = $this->data;
        $dataCount = count($data["dates"]);
        for ($d=0; $d<$dataCount;$d++)
        {
           echo "<tr>";
           echo "<th>".$data["dates"][$d][1]["day"]."</th>";
           for ($m=1; $m <= 12; $m++)
           {
                if (array_key_exists($m,$data["dates"][$d]))
                {
                    $currentDay = $data["dates"][$d][$m];
                    if ($currentDay["day"] == "Sat" || $currentDay["day"] == "Sun")
                    {
                       $bg= "background-color:#FFFFE0;";
                    }
                    else if ($currentDay["d"] == 0)
                    {
                        $bg = "background-color:#BEBEBE";
                    }
                    else
                    {
                        $bg="";
                    }
                    echo "<td style='min-width:180px;".$bg."'>";
                    if ($currentDay["d"] != 0) echo $currentDay["d"]."&nbsp;";
                    $en=0;
                    if (array_key_exists("events",$currentDay))
                    {
                        foreach ($currentDay["events"] as $key=> $event)
                        {
                            if ($en > 0)
                            { 
                                echo "<br>&nbsp;&nbsp;&nbsp;&nbsp;";
                            }
                            if ($event->is_committee)
                            {
                                echo "<span style='color:black;background-color:".$event->color."';>". substr($event->title,0,18) . "</span>" ;
                            }
                            else
                            {
                            ?>
                                <a class="eb_event_link" href="<?php echo JText::_(EventbookingHelperRoute::getEventRoute($event->id, 0, 205)); ?>" title="<?php echo $event->title; ?>" <?php echo 'style="color:black;background-color:'.$event->color.'";' ; ?>>
                                    <?php
                                            echo substr($event->title,0,18) ;
                                        }
                                    ?>
                                </a>
                        <?php
                        $event_num++;
                        $en++;
                        }
                    }
                    echo "</td>";
                }
                else
                {
                    echo "<td></td>";
                }
            }
            echo "</tr>";
        }
    ?>
    </table>
</div>
</div>
</form>
<script>
if ( window.history.replaceState ) {
  window.history.replaceState( null, null, window.location.href );
}
</script>