<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_latestnewsplusdate
 *
 * @copyright   Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * 
 * @subpackage	mod_latestnewsplusdate
 * @author     	TemplatePlazza
 * @link 		http://www.templateplazza.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\HTML\HTMLHelper;
?>
<?php 
	$morecatlinks = array();

	foreach ($list as $item) : 
		
		// More category links
		$morecatlink = "<a href=".JRoute::_('index.php?option=com_content&view=category&id='.$item->catid).">".$item->category_title."</a>";
		$morecatlinks[$morecatlink] = true;
		if (isset($morecatlinks[$morecatlink])) {
			continue;
		}
		// More category links
		$morecatlink = "<a href=".JRoute::_('index.php?option=com_content&view=category&id='.$item->catid).">".$item->category_title."</a>";
		$morecatlinks[$morecatlink] = true;
		if (isset($morecatlinks[$morecatlink])) {
			continue;
		}
	endforeach; 
    if($show_morecat_links) 
    {	echo "<div class='lnpd_more_cat'>".JText::_('MOD_LNPD_MORE_CAT'). " ";
    	foreach ($morecatlinks as $morecatlink => $val) 
    	{
    		echo $morecatlink. '&nbsp;&nbsp;';
    	}
    	echo "</div>";
    }
    ?>
<ul class="lnpd_item_wrapper">
    <?php
	$n = 1;
    foreach ($list as $item) : 
        $randomId = $n;
        $modalParams['title']  = $item->title;
        $modalParams['height'] = '100%';
        $modalParams['width']  = '100%';
        $modalParams['bodyHeight'] = 70;
        $modalParams['modalWidth'] = 80;
        $modalParams['url'] = $item->link."&tmpl=component";
        echo HTMLHelper::_('bootstrap.renderModal', 'modal-' . $randomId, $modalParams);
		
		// Check whether thumbnail image is exist or not. If it's not then start thumbnail generation process
		if($n <= $count_intro) {
			
			// More Category List and Blog
			$item->categlist = JRoute::_('index.php?option=com_content&view=category&id='.$item->catid);
			// Get the thumbnail 
			$thumb_img = LatestNewsPlusDateHelper::getThumbnail($item->id, $item->images,$thumb_folder,$show_default_thumb,$thumb_width,$thumb_height,$item->title,$item->introtext,$modulebase);
			?>

			<li  class="lnpd_item_with_intro" itemscope itemtype="https://schema.org/Article">
				<?php 
				if($thumb_loadorder == 1) {
					echo "<div class='lnpd_thumb_before_title'>".$thumb_img."</div>";
				}
				if ($n <=2)
				{
				?> <span class="lnpd_item_title" style="color:red">
					<?php echo $item->title; ?>
				</span> <?php
				}
				else
				{
				?> <span class="lnpd_item_title">
					<?php echo $item->title; ?>
				</span> <?php
				}
				?>

				<span class="lnpd_item_date">
				<?php
					//s how date
					LatestNewsPlusDateHelper::getDate($show_date, $show_date_type, $item->created, $custom_date_format);
				?>
				</span>
				<?php 
				if($thumb_loadorder == 0) {
					if($introtext_truncate == 1){
						$thumb_class = "lnpd_thumb_before_title";
					} else {
						$thumb_class = "lnpd_thumb_after_title";
					}
					echo "<div class='".$thumb_class."'>".$thumb_img."</div>";
				}
				?>
				<?php if($introtext_truncate != 1){ ?>		
				<div class="lnpd_item_introtext">
					<?php 

					$newintro=JHtmlString::truncate(strip_tags($item->introtext,'<a>'), $introtext_truncate);
					echo $newintro;
                    echo '<br><button class="btn btn-link" data-bs-toggle="modal" data-bs-target="#modal-' . $randomId . '">
                      Read More
                    </button>';
					?>
				</div>
				<?php } ?>
			</li>
			<?php 
		} else { ?>
			<li class="lnpd_item_without_intro" itemscope itemtype="https://schema.org/Article">
			<span class="lnpd_item_date">
				<?php
					//s how date
					LatestNewsPlusDateHelper::getDate($show_date, $show_date_type, $item->created, $custom_date_format);
				?>
			</span>
			<a href="<?php echo $item->link; ?>" itemprop="url" class="lnpd_item_title"><span itemprop="name"><?php echo $item->title; ?></span></a>	
			</li>

		<?php 
		}
		$n++;

	endforeach;	
	?>
</ul>
<?php 

?>