<?php	
/**
 * @version		1.6.1
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
defined('_JEXEC') or die ();	

$db = JFactory::getDBO();
$user = & JFactory::getUser() ;    	

if (count($rows)) {
    
	$fieldextras = new JRegistry($rows[0]->custom_fields);
	$address1=rawurldecode($fieldextras->get('field_address_start'));
	if ($address1)
	{
	    $melway=0;
	    $resp=preg_match("/^Mel[.: ]*(.*)$/",$address1,$matches);
	    if ($resp)
	    {
	        $address1=$matches[1];
	        $melway=1;
	    }
	    $response = file_get_contents('https://online.melway.com.au/melway/php/MelwaySearchInfo.php?directory=Mel&search='.rawurlencode($address1),0, stream_context_create(["http"=>["timeout"=>10]]));
        if ($response && strpos($response,"syntax error") === FALSE)
	    {
	        $response = new SimpleXMLElement($response);
	        if ($response->marker[1]['COL3'] == $address1)
	        {
		        $poly=substr($response->marker[1]['COL4'],15,-3);
		        $polyArray=explode(',',$poly);
		        // average opposite sides
		        $poly1=explode(' ',$polyArray[0]);
		        $poly2=explode(' ',$polyArray[2]);
		        $address1 = ($poly1[1] + $poly2[1])/2 . ", ". ($poly1[0] + $poly2[0])/2;
	        }
	        else
	        {
		        if ($melway)
		        {
		            $address1=null;
		        }
	        }
	    }
	    else
	    {
	        if ($melway)
	        {
	            $address1=null;
	        }
	    }
	}
	if (strrpos($rows[0]->event_end_date,'19:30')!==false)
	{
	    $timestr="&nbsp;Doors open 7:30pm for 8pm start";
	}

?>

						<div style="text-align: center; padding-top:0px;padding-bottom:0px; font-size: 17px;"> <a href="<?php echo JRoute::_(EventbookingHelperRoute::getEventRoute($rows[0]->id, 0, $Itemid)); ?>" "><u><b><?php echo $rows[0]->title ; ?></b></u></a><?php echo $timestr;?>
	<?php if ($address1) { ?>
	<br>
						 <a class="btn btn-secondary btn-sm" href="https://www.google.com/maps/dir/?api=1&origin=My+Location&destination=<?php echo $address1 ?>">Directions</a>
	<?php } ?>

	</div>
	<?php 
}
?>