<?php	
/**
 * @version		1.6.1
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
defined('_JEXEC') or die ();	
use MBWC\Component\MBWC\Site\Helper\MBWCHelper;

$db = JFactory::getDBO();
$user = & JFactory::getUser() ;    	

$sql = "select count(*) from jos_eb_registrants as a join jos_eb_events as b on b.id = a.event_id where a.published=4 and b.published=1 and (b.created_by=".$user->id." or json_extract(b.custom_fields,'$.field_leader_id1')=".$user->id." or json_extract(b.custom_fields,'$.field_leader_id2')=".$user->id." or json_extract(b.custom_fields,'$.field_leader_id3')=".$user->id.") ";
$db->setQuery($sql);
$numUnapproved=$db->loadResult();
if ($numUnapproved > 0)
{
      ?><div style="padding:8px; text-align:center; background-color:red; color:white; link-color:white; visited-color:white;">
      <a style="color: white; text-align:center;" href="<?php echo JRoute::_(EventbookingHelperRoute::getViewRoute('events', $itemId)); ?>">You have Visitors to Approve</a></div>
      <?php
}

$sql = "select count(*) from jos_eb_events as a where exists (select 1 from jos_eb_categories as e join jos_eb_event_categories as d join jos_mbwc_categoryextras as h on e.id=h.category_id where d.category_id=e.id and h.trip_report_required=1 and d.event_id=a.id) and not exists (select 1 from jos_eb_categories as e join jos_eb_event_categories as d join jos_mbwc_categoryextras as h on e.id=h.category_id where d.category_id=e.id and h.trip_report_required=0 and d.event_id=a.id) and (a.created_by=".$user->id." or json_extract(a.custom_fields,'$.field_leader_id1')=".$user->id." or json_extract(a.custom_fields,'$.field_leader_id2')=".$user->id." or json_extract(a.custom_fields,'$.field_leader_id3')=".$user->id.") 
and ((a.event_end_date = '0000-00-00 00:00:00' && a.event_date < now() ) || a.event_end_date < now()) and a.event_date > '2021-08-30' and a.published=1 and not exists (select 1 from jos_mbwc_tripreports where event_id = a.id) and not exists (select 1 from jos_mbwc_tripreports as g join jos_eb_events as h on g.event_id = h.id where h.parent_id=a.id)";
$db->setQuery($sql);
$numTripreports=$db->loadResult();
if ($numTripreports > 0)
{
      ?><div style="padding:8px; text-align:center; background-color:orange; color:white; link-color:white; visited-color:white;">
      <a style="color: white; text-align:center;" href="<?php echo JRoute::_(EventbookingHelperRoute::getViewRoute('events', $itemId)); ?>">You have Outstanding Trip Reports</a></div>
      <?php
}

if (count($rows)) {
    
	$fieldextras = new JRegistry($rows[0]->custom_fields);
	$address1=trim(rawurldecode($fieldextras->get('field_address')),' ');
	if ($address1)
	{
	    $melway=0;
	    $matches=null;
	    $resp=preg_match('/^[ ]*Mel[.: ]+(.*)$/',$address1,$matches);
	    if ($resp)
	    {
	        $address1=$matches[1];
	        $melway=1;
	    }
	    $response = file_get_contents('https://online.melway.com.au/melway/php/MelwaySearchInfo.php?directory=Mel&search='.rawurlencode($address1),0, stream_context_create(["http"=>["timeout"=>10]]));
        if ($response && strpos($response,"syntax error") === FALSE)
	    {
	        $response = new SimpleXMLElement($response);
	        if ($response->marker[1]['COL3'] == $address1)
	        {
		        $poly=substr($response->marker[1]['COL4'],15,-3);
		        $polyArray=explode(',',$poly);
		        // average opposite sides
		        $poly1=explode(' ',$polyArray[0]);
		        $poly2=explode(' ',$polyArray[2]);
		        $address1 = ($poly1[1] + $poly2[1])/2 . ", ". ($poly1[0] + $poly2[0])/2;
	        }
	        else
	        {
		        if ($melway)
		        {
		            $address1=null;
		        }
	        }
	    }
	    else
	    {
	        if ($melway)
	        {
	            $address1=null;
	        }
	    }
	}
	$address2=trim(rawurldecode($fieldextras->get('field_address_start')),' ');
	if ($address2)
	{
	    $melway=0;
	    $matches=null;
	    $resp=preg_match('/^[ ]*Mel[.: ]+(.*)$/',$address2,$matches);
	    if ($resp)
	    {
	        $address2=$matches[1];
	        $melway=1;
	    }
	    $response = file_get_contents('https://online.melway.com.au/melway/php/MelwaySearchInfo.php?directory=Mel&search='.rawurlencode($address2),0, stream_context_create(["http"=>["timeout"=>10]]));
        if ($response && strpos($response,"syntax error") === FALSE)
	    {
	        $response = new SimpleXMLElement($response);
	        if ($response->marker[1]['COL3'] == $address2)
	        {
		        $poly=substr($response->marker[1]['COL4'],15,-3);
		        $polyArray=explode(',',$poly);
		        // average opposite sides
		        $poly1=explode(' ',$polyArray[0]);
		        $poly2=explode(' ',$polyArray[2]);
		        $address2 = ($poly1[1] + $poly2[1])/2 . ", ". ($poly1[0] + $poly2[0])/2;
	        }
		    else
		    {
		        if ($melway)
		        {
		            $address2=null;
		        }
		    }
	    }
	    else
	    {
	        if ($melway)
	        {
	            $address2=null;
	        }
	    }
	}
	  
?>
						<div style="text-align:center; padding:8px; background-color:#1580bf; color:white; link-color:white; visited-color:white;"><b>Your next event is:</b><br> <?php echo JHTML::_('date', $rows[0]->event_date, $config->event_date_format, null); ?><br><a style="color: white" href="<?php echo JRoute::_(EventbookingHelperRoute::getEventRoute($rows[0]->id, 0, $Itemid)); ?>" "><u><?php echo $rows[0]->title ; ?></u></a>
	<?php if ($address1) { ?>
						 <br><a style="text-align:center;" class="btn btn-secondary btn-sm" href="https://www.google.com/maps/dir/?api=1&origin=My+Location&destination=<?php echo $address1 ?>">Directions to Meeting Point</a>
	<?php }
	else if ($address2)
	{
	    echo "<br>";
	}
	?>
	<?php if ($address2) { ?>
						 <a style="text-align:center;" class="btn btn-secondary btn-sm" href="https://www.google.com/maps/dir/?api=1&origin=My+Location&destination=<?php echo $address2 ?>" ">Directions to Walk Start</a>
	<?php }
    if (MBWCHelper::isMobile()) {
    	$phone=$fieldextras->get('field_mobile_ph');
    	if ($phone)
    	{
    	    ?> <br><a style="text-align:center;" class="btn btn-secondary btn-sm" href="tel:<?php echo $mobileOS ?>">Call Leader</a> <?php
    	}
    }
	?>
	</div>
	<?php 
} else {
?>
	<div style="display: inline-block;padding:5px; color:white; link-color:white; visited-color:white;">You have no planned walks.</div>
<?php	
}
?>