<?php
namespace MBWC\Component\MBWC\Site\Controller;

use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\Factory;
use MBWC\Component\MBWC\Site\Helper\MBWCHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Log\Log;
use Joomla\CMS\Plugin\PluginHelper;
require_once JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';
use Joomla\CMS\Uri\Uri;

class RegistrantController extends BaseController
{
 	public function approve_visitor() {
		$app    = Factory::getApplication();
		$db = Factory::getDbo();			
        $user = Factory::getUser() ;
		$registrant_id = $app->input->getInt('registrant_id', 0);
		$sql = 'SELECT * FROM #__eb_registrants WHERE id=' . $registrant_id;
		$db->setQuery($sql);
		$row = $db->loadObject();
		$Itemid = $app->input->getInt('Itemid');						
		
		// only approve once
		if ($row->published != 1)
		{
    		$sql = " UPDATE #__eb_registrants SET published=1 WHERE id = $registrant_id ";
    		$db->setQuery($sql);
		    $db->execute();
        	$config = \EventbookingHelper::getConfig();
    		
    		$sql = 'SELECT a.*, (select group_concat(g.name separator ",") from jos_eb_event_categories as f inner join 
                jos_eb_categories as g on g.id = f.category_id and f.event_id=a.id) as category, 
                concat_ws(",",
        		(select name from jos_users as c where c.id=JSON_UNQUOTE(JSON_EXTRACT(a.custom_fields,"$.field_leader_id1"))),
        		(select name from jos_users as c where c.id=JSON_UNQUOTE(JSON_EXTRACT(a.custom_fields,"$.field_leader_id2"))),
        		(select name from jos_users as c where c.id=JSON_UNQUOTE(JSON_EXTRACT(a.custom_fields,"$.field_leader_id3"))))     
        		FROM #__eb_events as a  
                WHERE a.id=' . $row->event_id;
    		$db->setQuery($sql);
    		$event = $db->loadObject();
    		
            Log::add('Visitor '.$row->first_name.' '.$row->last_name.' has been approved for '.$event->title.' by '.$user->get('name'), Log::INFO, 'visitors');  
    		
    		$config->send_ics=1;
    	    MBWCHelper::sendAddMemberEmails($row, $config, 0,0);
    		// This visitor gets an autogenerated temporary membership form, so we don't need to remind them to bring one in their email
    	    MBWCHelper::sendTemporaryMemberForm($row, $config);
    	    
    	    $sql =  "select field_value from #__eb_field_values where field_id=21 and registrant_id=".$row->id;;
    		$db->setQuery($sql);
    		$mobile_phone = $db->loadResult();
    
    	    $content = "<p>Hi Information Officer,</p><p>The following Visitor has been approved for the event <b>".$event->title."</b> (".$event->category.") on <b>".date('l jS F Y', strtotime($event->event_date))."</b> by ".$user->get('name').".</p><p><b>Name:</b>&nbsp;".$row->first_name." ".$row->last_name."</p><p><b>Home Phone Number:</b>&nbsp;".$row->phone."</p><p><b>Mobile Phone Number:</b>&nbsp;".$mobile_phone."</p><p><b>Email:</b>&nbsp;".$row->email."</p>";
            MBWCHelper::mail_info($row->first_name, $row->last_name, $row->email, $event->title. '('.$event->category.')', $content);
		}
       $this->setRedirect(Route::_('index.php?option=com_eventbooking&view=registrantlist&tmpl=component&id='.$row->event_id.'&Itemid='.$Itemid, false), "Visitor Approved") ;
        
 	}
    public function register_visitor()
    {
	    $db = Factory::getDbo();
	    $user = Factory::getUser();
		$app    = Factory::getApplication();

		$config = \EventbookingHelper::getConfig();	
		$Itemid = $app->input->getInt('Itemid');						
		$eventId = $app->input->getInt('event_id') ;
		$first_name    = $app->input->getVar('first_name', '');	
		$last_name    = $app->input->getVar('last_name', '');	
		$mobile_phone    = $app->input->getVar('mobile_phone', '');	
		$home_phone    = $app->input->getVar('home_phone', '');	
		$email    = $app->input->getVar('email', '');	
		$experience    = $app->input->getVar('experience', '');	
		$kin    = $app->input->getVar('kin', '');	
		$kin_relationship    = $app->input->getVar('kin_relationship', '');	
		$kin_mobile_phone    = $app->input->getVar('kin_mobile_phone', '');	
		$kin_home_phone    = $app->input->getVar('kin_home_phone', '');	
		$kin2    = $app->input->getVar('kin2', '');	
		$kin_relationship2    = $app->input->getVar('kin_relationship2', '');	
		$kin_mobile_phone2    = $app->input->getVar('kin_mobile_phone2', '');	
		$kin_home_phone2    = $app->input->getVar('kin_home_phone2', '');	
		$btn    = $app->input->getVar('btn', '');	
		$securityCode = $app->input->getVar('security_code', '');
        $session = Factory::getSession() ;

		if($btn)
		{
            $name=$first_name." ".$last_name;
            $query = "SELECT a.*, (select group_concat(g.name separator ',') from jos_eb_event_categories as f inner join 
 jos_eb_categories as g on g.id = f.category_id and f.event_id=a.id) as category, concat_ws(',',
		(select name from jos_users as c where c.id=JSON_UNQUOTE(JSON_EXTRACT(a.custom_fields,'$.field_leader_id1'))),
		(select name from jos_users as c where c.id=JSON_UNQUOTE(JSON_EXTRACT(a.custom_fields,'$.field_leader_id2'))),
		(select name from jos_users as c where c.id=JSON_UNQUOTE(JSON_EXTRACT(a.custom_fields,'$.field_leader_id3')))) as leader_name, concat_ws(',',
		(select email from jos_users as c where c.id=JSON_UNQUOTE(JSON_EXTRACT(a.custom_fields,'$.field_leader_id1'))),
		(select email from jos_users as c where c.id=JSON_UNQUOTE(JSON_EXTRACT(a.custom_fields,'$.field_leader_id2'))),
		(select email from jos_users as c where c.id=JSON_UNQUOTE(JSON_EXTRACT(a.custom_fields,'$.field_leader_id3')))) as leader_email, IFNULL(SUM(if(b.published=1 or b.published=4,b.number_registrants,null)), 0) AS total_registrants FROM  #__eb_events AS a 
            LEFT JOIN #__eb_registrants AS b "
            . ' ON (a.id = b.event_id AND b.group_id=0) '
            . ' where a.id='.$eventId
            . ' GROUP BY a.id ';
    		$db->setQuery($query);
    		$event = $db->loadObject();
    		
            if ($securityCode==$session->get('security_code'))
            {
                $query = "select event_date from #__eb_events where id=".$eventId;
        	    $db->setQuery($query);
        	    $event_date = substr($db->loadResult(),0,10);
                
        		// check if already booked
        		$query="select count(*) from #__eb_registrants as a left join #__eb_events as b on b.id=a.event_id where ((a.last_name='".$last_name."' and a.first_name='".$first_name."') or a.email='".$email."') and b.published=1 and date(b.event_date)='".$event_date."' and a.is_group_billing=0 and a.published in (1,3,4)";
        		
        		$db->setQuery($query);
        		$alreadyBooked = $db->loadResult();
        		if (!$alreadyBooked)
        		{
            		// check if already a member
                    $query="select count(*) from #__users as b join jos_comprofiler as c on c.user_id=b.id where (lower(b.email)=lower('".$email."') or lower(b.name)=lower('".str_replace("'", "\'", $name)."')) and c.cb_status='Current'";
                    
            	    $db->setQuery($query);
            	    $alreadyMember = $db->loadResult();
            	    if (!$alreadyMember)
        		    {
        		        // check if already booked on 3 walks in last 12 months (or booked in future) and you haven't applied as yet - redirect to membership page
                		$query="select count(*) from #__eb_registrants as a left join #__eb_events as b on b.id=a.event_id where ((a.last_name='".$last_name."' and a.first_name='".$first_name."') or a.email='".$email."') and b.published=1 and date(b.event_date) > now() - INTERVAL 12 month and a.is_group_billing=0 and a.published in (1,3,4,5) and b.id !=".$eventId." and not exists (select 1 from jos_membership as c where c.status=0 and ((c.last_name='".$last_name."' and c.first_name='".$first_name."') or c.email='".$email."'))";

                		$db->setQuery($query);
                		$howManyBooked = $db->loadResult();
                		if ($howManyBooked<=2)
                		{
                     		// check if adding to waitlist or main

                            if ($event->event_capacity <= $event->total_registrants)
                            {
                                $status=5;
                                Log::add($user->get('name').' Pending Visitor '.$name.' added to waitlist for event:'.$event->title, Log::INFO, 'visitors');                               }
                            else
                            {
                                $status=4;
                                Log::add($user->get('name').' Pending Visitor '.$name.' added to event:'.$event->title, Log::INFO, 'visitors'); 
                            }
    		                $currentDate = gmdate('Y-m-d H:i:s');
    		                
                            // Add to event
                            $sql = "INSERT INTO #__eb_registrants (published,number_registrants, event_id, user_id, first_name, last_name, email, phone, register_date) 
                            values (".$status.", 1, ".$eventId.", 0, '" . $first_name ."', '" . str_replace("'", "\'", $last_name) ."', '" .  $email . "', '" . $home_phone . "', '" . $currentDate ."')";
                			$db->setQuery($sql) ;
                			$db->execute();		
                 			$newid = $db->insertid();
              
                			if (strlen($mobile_phone) > 0)
                			{
                     			$sql =  "INSERT INTO #__eb_field_values (registrant_id, field_id, field_value) values (" . $newid  . ", 1,'"  . $mobile_phone. "')";
                    			$db->setQuery($sql) ;
                    			$db->execute();			
                			}
                    		if (strlen($kin) > 0)
                    		{
                            	$sql =  "INSERT INTO #__eb_field_values (registrant_id, field_id, field_value) values (" . $newid  . ", 28,'"  . str_replace("'", "\'", $kin). "')";
                            	$db->setQuery($sql) ;
                            	$db->execute();	
                    		}
                    		if (strlen($kin_relationship) > 0)
                    		{
                            	$sql =  "INSERT INTO #__eb_field_values (registrant_id, field_id, field_value) values (" . $newid  . ", 29,'"  . $kin_relationship. "')";
                            	$db->setQuery($sql) ;
                            	$db->execute();	
                    		}
                    		if (strlen($kin_home_phone) > 0)
                    		{
                            	$sql =  "INSERT INTO #__eb_field_values (registrant_id, field_id, field_value) values (" . $newid  . ", 30,'"  . $kin_home_phone. "')";
                            	$db->setQuery($sql) ;
                            	$db->execute();	
                    		}
                    		if (strlen($kin_mobile_phone) > 0)
                    		{
                            	$sql =  "INSERT INTO #__eb_field_values (registrant_id, field_id, field_value) values (" . $newid  . ", 31,'"  . $kin_mobile_phone. "')";
                            	$db->setQuery($sql) ;
                            	$db->execute();	
                    		}
                    		if (strlen($kin2) > 0)
                    		{
                            	$sql =  "INSERT INTO #__eb_field_values (registrant_id, field_id, field_value) values (" . $newid  . ", 32,'"  . str_replace("'", "\'", $kin2). "')";
                            	$db->setQuery($sql) ;
                            	$db->execute();	
                    		}
                    		if (strlen($kin_relationship2) > 0)
                    		{
                            	$sql =  "INSERT INTO #__eb_field_values (registrant_id, field_id, field_value) values (" . $newid  . ", 33,'"  . $kin_relationship2. "')";
                            	$db->setQuery($sql) ;
                            	$db->execute();	
                    		}
                    		if (strlen($kin_home_phone2) > 0)
                    		{
                            	$sql =  "INSERT INTO #__eb_field_values (registrant_id, field_id, field_value) values (" . $newid  . ", 35,'"  . $kin_home_phone2. "')";
                            	$db->setQuery($sql) ;
                            	$db->execute();	
                    		}
                    		if (strlen($kin_mobile_phone2) > 0)
                    		{
                            	$sql =  "INSERT INTO #__eb_field_values (registrant_id, field_id, field_value) values (" . $newid  . ", 34,'"  . $kin_mobile_phone2. "')";
                            	$db->setQuery($sql) ;
                            	$db->execute();	
                    		}

                            if ($status==4)
                            {
                                $content = "<p>Hi Walk Leader,</p><p>The following Visitor has requested to join your event <b>".$event->title."</b> on <b>".date('l jS F Y', strtotime($event->event_date))."</b>. Once you have spoken with the visitor please go online to approve or delete them.</p><p>Once the Visitor is approved they will receive a confirmation email. Please make sure the Visitor is listed in your Trip Report so the Membership Secretary can verify and confirm the mandatory qualifying events necessary for the visitor to become a club member.</p><p>Visitor details are as follows:</p><p><b>Name:</b>&nbsp;".$name."</p><p><b>Home Phone Number:</b>&nbsp;".$home_phone."</p><p><b>Mobile Phone Number:</b>&nbsp;".$mobile_phone."</p><p><b>Email:</b>&nbsp;".$email."</p><p><b>Previous walking experience:</b>&nbsp;".$experience."</p><p>Regards,</p><p>MBWC Activity Convenor</p>";
                    			$notificationEmails = MBWCHelper::getLeaderEmail($event->id);
                    			MBWCHelper::sendMail($notificationEmails, "A Visitor has requested to join your event ".$event->title, $content, 1, null, null, null, $email, $name);
                            }
                            if ($status==5)
                            {
                                $content = "<p>Hi Walk Leader,</p><p>The following Visitor has requested to waitlist on your event <b>".$event->title."</b> on <b>".date('l jS F Y', strtotime($event->event_date))."</b>. If the visitor is promoted to the mainlist, please go online to approve or delete them.</p><p>Once the Visitor is approved they will receive a confirmation email. Please make sure the Visitor is listed in your Trip Report so the Membership Secretary can verify and confirm the mandatory qualifying events necessary for the visitor to become a club member.</p><p>Visitor details are as follows:</p><p><b>Name:</b>&nbsp;".$name."</p><p><b>Home Phone Number:</b>&nbsp;".$home_phone."</p><p><b>Mobile Phone Number:</b>&nbsp;".$mobile_phone."</p><p><b>Email:</b>&nbsp;".$email."</p><p><b>Previous walking experience:</b>&nbsp;".$experience."</p><p>Regards,</p><p>MBWC Activity Convenor</p>";
                    			$notificationEmails = MBWCHelper::getLeaderEmail($event->id);
                    			MBWCHelper::sendMail($notificationEmails, "A Visitor has requested to waitlist on your event ".$event->title, $content, 1, null, null, null, $email, $name);
                            }
                    		
                            // Mail Info
                		    $content = "<p>Hi Information Officer,</p><p>The following Visitor has registered for the event <b>".$event->title."</b> (".$event->category.") on <b>".date('l jS F Y', strtotime($event->event_date))."</b> and is pending Walk Leader ".$event->leader_name."'s approval.</p><p><b>Name:</b>&nbsp;".$name."</p><p><b>Home Phone Number:</b>&nbsp;".$home_phone."</p><p><b>Mobile Phone Number:</b>&nbsp;".$mobile_phone."</p><p><b>Email:</b>&nbsp;".$email."</p>";
                            MBWCHelper::mail_info($first_name, $last_name, $email, $event->title . '('.$event->category.')', $content);
                            // Mail Visitor
                    
                    		if ($email)
                    		{
                                $content = "<p>Hi ".$name.",</p><p>You have registered for the event <b>".$event->title."</b> on <b>".date('l jS F Y', strtotime($event->event_date))."</b> for a <b>".date('h:ia', strtotime($event->event_date))."</b> start.</p><p>The Leader will get in contact with you to discuss the event.</p><p>You are NOT confirmed on the event until the Leader has approved your registration. Once a leader has confirmed your registration you will receive a confirmation email.</p><p>If you don't hear from the leader, please contact info@mbwc.org.au for assistance.</p><p>Regards,</p><p>MBWC Activity Convenor</p>";
                    			MBWCHelper::sendMail($email, "Visitor Registration for event ".$event->title, $content, 1,null,null,null,"info@mbwc.org.au","MBWC Info Officer");
                    		}
                		    $msg= "Your request to join the event ".$event->title." has been sent!";
            	            $url = Route::_("index.php?option=com_content&view=article&id=119", false);
            		    }
            		    else
            		    {
                            Log::add('Visitor '.$name.' tried to book for '.$event->title.' but has reached their limit of 3 bookings', Log::INFO, 'visitors');  
                		    $msg= "You have reached your limit of 3 bookings as a visitor in one year. Once you have completed these walks, you will be able to join up as a member. Once you have applied for membership, you can continue booking.";
            	            $url = Route::_("apply-for-membership", false);
            		    }
        		    }
        		    else
        		    {
                         Log::add('Visitor '.$name.' tried to book for '.$event->title.' but has been identified as a member.', Log::INFO, 'visitors');  
           		        $msg= "Your are already a member! Please book through the normal website";
        	            $url = Route::_("index.php?option=com_content&view=article&id=119", false);
        		    }
                }
                else
                {
                    Log::add('Visitor '.$name.' tried to book for '.$event->title.' but has been identified as having already booked for an event on this date.', Log::INFO, 'visitors');  
        		    $msg= "You have already booked for an event on this date ".$event_date;
    	            $url = Route::_("index.php?option=com_content&view=article&id=119", false);
                }
            }
    		else
    		{
                Log::add('Visitor '.$name.' tried to book for '.$event->title.' but put in an invalid captcha.', Log::INFO, 'visitors');  
    		    $msg= "Invalid Captcha";
	            $url = Route::_("index.php?option=com_eventbooking&task=visitor_mail_leader&event_id=".$eventId."&Itemid=".$Itemid."&first_name=".$first_name."&last_name=".$last_name."&email=".$email, false);
    		}
		}
        $this->setRedirect($url,$msg);
    }
    
    public function delete_registrant() {
		$app    = Factory::getApplication();
		$eventId = $app->input->getInt('id', 0);
		$id = $app->input->getInt('registrant_id', 0);
        $user = Factory::getUser() ;

 		$db     = Factory::getDbo();
        $sql = 'SELECT a.id, a.title, b.user_id, b.first_name, b.last_name FROM #__eb_events AS a INNER JOIN #__eb_registrants AS b ON a.id = b.event_id WHERE b.id='.$id ;
        $db->setQuery($sql) ;
        $rowEvent = $db->loadObject();
        $reason = $app->input->getVar('reason') ;
        Log::add($user->get('name').' Leader Cancel Registration for event:'.$rowEvent->title.' Registrant: '.$rowEvent->first_name.' '.$rowEvent->last_name.' Reason: '.$reason, Log::INFO, 'com_mbwc');
        
		$app    = Factory::getApplication();
		$waitlist = $app->input->getInt('waitlist', 0);
	    if ($reason===null || $reason=="")
 	    {
 	        $reason='Leader Cancelled';
 	    }
        $this->cancelRegistration($id,$reason);
        $this->setRedirect(Route::_('index.php?option=com_eventbooking&view=registrantlist&tmpl=component&id='.$eventId.'&Itemid='.$Itemid, false), "Registration Cancelled") ;
 	}

 	public function uncancel_registrant() {
		$app    = Factory::getApplication();
		$id = $app->input->getInt('registrant_id', 0);
		$Itemid = $app->input->getInt('Itemid', 0);
		$eventId = $app->input->getInt('id', 0);
		$db     = Factory::getDbo();

		$sql = " select published from #__eb_registrants WHERE id = $id ";
		$db->setQuery($sql);
		$state = $db->loadResult();
		$new_state=0;
		if ($state==8)
		{
		    $new_state=3;
		}
		elseif ($state==7)
		{
		    $new_state=5;
		}
		elseif ($state==6)
		{
		    $new_state=4;
		}
		elseif ($state==2)
		{
		    $new_state=1;
		}
		if ($new_state>0)
		{
    		$sql = " UPDATE #__eb_registrants SET published=$new_state WHERE id = $id ";
    		$db->setQuery($sql);
    		$db->execute();
		}
        $this->setRedirect(Route::_('index.php?option=com_eventbooking&view=registrantlist&tmpl=component&id='.$eventId.'&Itemid='.$Itemid, false), "Registration Un-Cancelled") ;
 	}
    public function cancelRegistration($id, $reason)
	{
		if (!$id)
		{
			return false;
		}

		$app    = Factory::getApplication();
		$db     = Factory::getDbo();
		$query  = $db->getQuery(true);

        $model = \RADModel::getTempInstance('Registrant', 'EventbookingModel', ['table_prefix' => '#__eb_']);
		/* @var EventbookingTableRegistrant $row */
		$row = $model->getTable('Registrant');
		$row->load($id);
		$row->registration_cancel_date = Factory::getDate()->toSql();

		if (!$row->id)
		{
			return false;
		}

		$published = $row->published;

        if ($published==1) $row->published=2;
        elseif ($published==3) $row->published=8;
        elseif ($published==4) $row->published=6;
        elseif ($published==5) $row->published=7;

		$sql = " select id from #__eb_fields WHERE name = 'cancel_reason' ";
		$db->setQuery($sql);
		$cancel_id = $db->loadResult();
		$sql = " select id from #__eb_field_values WHERE field_id = ".$cancel_id." and registrant_id=$id ";
		$db->setQuery($sql);
		$valueId = $db->loadResult();

		if ($valueId)
		{
		    // update existing cancel reason
            $sql = 'update #__eb_field_values set field_value='.$db->quote($reason).' where id='.$valueId;
    	    $db->setQuery($sql) ;
    		$db->execute();
		}
		else
		{
		    // insert cancel reason
            $sql = 'insert into #__eb_field_values (id,registrant_id, field_id, field_value) values (null,'.$id.','.$cancel_id.','.$db->quote($reason).')';
    	    $db->setQuery($sql) ;
    		$db->execute();
        }

		// Update status of group members record to cancelled as well (this means we are cancelling the group)
		if ($row->is_group_billing)
		{
			// We will need to set group members records to be cancelled
			$query->update('#__eb_registrants')
				->set('published = ' . $row->published)
				->set('registration_cancel_date = ' . $db->quote($row->registration_cancel_date))
				->where('(group_id = ' . (int) $row->id . ' or id = ' . (int) $row->id . ')');
			$db->setQuery($query)
				->execute();
		}
		elseif ($row->group_id > 0) //if we are part of the group, just cancel ourselves, but leave the main person unless numregistrants is now 0
		{
			$groupId = (int) $row->group_id;
		    $sql = 'SELECT COUNT(id) FROM #__eb_registrants WHERE published=1 AND group_id='.$row->group_id;
            $db->setQuery($sql);
            $total = (int) $db->loadResult();
            // If there are more than one in the group, then its safe to just delete this entry, but we need to update the number_registrants field on the group
            if ($total > 1)
            {
                $sql = 'update #__eb_registrants set number_registrants = number_registrants - 1 WHERE id='.$row->group_id ;
			    $db->setQuery($sql) ;
 			    $db->execute();
     			$query->update('#__eb_registrants')
    				->set('published = ' . $row->published)
    				->set('registration_cancel_date = ' . $db->quote($row->registration_cancel_date))
 				    ->where('id = ' . (int) $row->id);
    			$db->setQuery($query)
    				->execute();
            }
            else // else cancel everything
            {
    			$query->update('#__eb_registrants')
    				->set('published = ' . $row->published)
    				->set('registration_cancel_date = ' . $db->quote($row->registration_cancel_date))
				->where('(group_id = ' . (int) $row->group_id . ' or id = ' . (int) $row->id . ')');
				
    			$db->setQuery($query)
    				->execute();
            }
		}
        else // else cancel individual
        {
			$query->update('#__eb_registrants')
				->set('published = ' . $row->published)
				->set('registration_cancel_date = ' . $db->quote($row->registration_cancel_date))
			->where('id = ' . (int) $row->id);
			
			$db->setQuery($query)
				->execute();
        }
        // remove user from being a leader also
        
        if ($row->user_id)
        {
            $sql = "update #__eb_events set custom_fields = JSON_SET(custom_fields, '$.field_leader_id1',JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id3')),'$.field_leader_id1',0) WHERE (JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id3')) is not null 
            and JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id3')) != 0) 
            and (JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id2')) is null or JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id2')) = '' or JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id2')) = 0) 
            and JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id1'))=".$row->user_id." and id=".$row->event_id ;
    	    $db->setQuery($sql) ;
    		$db->execute();
            $sql = "update #__eb_events set custom_fields = JSON_SET(custom_fields, '$.field_leader_id1',JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id2')),'$.field_leader_id2',0)
            WHERE (JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id2')) is not null and JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id2') != 0)) and JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id1'))=".$row->user_id." and id=".$row->event_id ;
    	    $db->setQuery($sql) ;
    		$db->execute();
            $sql = "update #__eb_events set custom_fields = JSON_SET(custom_fields, '$.field_leader_id2',0) WHERE JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id2'))=".$row->user_id." and id=".$row->event_id ;
    	    $db->setQuery($sql) ;
    		$db->execute();
            $sql = "update #__eb_events set custom_fields = JSON_SET(custom_fields, '$.field_leader_id3',0) WHERE JSON_UNQUOTE(json_extract(custom_fields,'$.field_leader_id3'))=".$row->user_id." and id=".$row->event_id ;
    	    $db->setQuery($sql) ;
    		$db->execute();
        }
        
		$app->triggerEvent('onRegistrationCancelled', [$row, $published]);
 
        return $row;
	}
	
    public function cancel_visitor()
    {
        $app = Factory::getApplication() ;
        $Itemid = $app->input->getInt('Itemid') ;
        $reason = $app->input->getVar('reason') ;
        $waitlist = $app->input->getVar('waitlist') ;
        $db = Factory::getDbo();
        $user = Factory::getUser() ;
        $id = $app->input->getInt('id');
        
        $sql = 'SELECT a.id, a.title, b.user_id, b.first_name, b.last_name FROM #__eb_events AS a INNER JOIN #__eb_registrants AS b ON a.id = b.event_id WHERE b.id='.$id ;
        $db->setQuery($sql) ;
        $rowEvent = $db->loadObject();
        Log::add($user->get('name').' Cancel Visitor Registration for event:'.$rowEvent->title.' Registrant: '.$rowEvent->first_name.' '.$rowEvent->last_name, Log::INFO, 'com_mbwc');
  
        $row=$this->cancelRegistration($id, $reason, $waitlist);
        MBWCHelper::sendCancelVisitorRegistrationEmail($row,$reason, $waitlist);
        MBWCHelper::checkWaitList($rowEvent->id);
		$return = base64_decode($this->input->getBase64('return'));
        
		if ($return && Uri::isInternal($return))
		{
			$this->setRedirect($return, "Registration Cancelled");
		}
        else
        {
            $this->setRedirect(Route::_('index.php?option=com_eventbooking&view=registrationcancel&id='.$id.'&Itemid='.$Itemid, false), "Registration Cancelled") ;
        }
   }
	
    public function cancel_registration()
    {
        $app = Factory::getApplication() ;
        $Itemid = $app->input->getInt('Itemid') ;
        $reason = $app->input->getVar('reason') ;
        $waitlist = $app->input->getVar('waitlist') ;
        $db = Factory::getDbo();
        $user = Factory::getUser() ;
        $id = $app->input->getInt('id');
        
        $sql = 'SELECT a.id, a.title, b.user_id, b.first_name, b.last_name FROM #__eb_events AS a INNER JOIN #__eb_registrants AS b ON a.id = b.event_id WHERE b.id='.$id ;
        $db->setQuery($sql) ;
        $rowEvent = $db->loadObject();
        Log::add($user->get('name').' Cancel Registration for event:'.$rowEvent->title.' Registrant: '.$rowEvent->first_name.' '.$rowEvent->last_name, Log::INFO, 'com_mbwc');
  
        $row=$this->cancelRegistration($id, $reason, $waitlist);
        MBWCHelper::sendCancelRegistrationEmail($row,$reason, $waitlist);
        MBWCHelper::checkWaitList($rowEvent->id);
		$return = base64_decode($this->input->getBase64('return'));
        
		if ($return && Uri::isInternal($return))
		{
			$this->setRedirect($return, "Registration Cancelled");
		}
        else
        {
            $this->setRedirect(Route::_('index.php?option=com_eventbooking&view=registrationcancel&id='.$id.'&Itemid='.$Itemid, false), "Registration Cancelled") ;
        }
   }
	public function promote() {
		$db = Factory::getDbo();			 
        $user = Factory::getUser() ;
        $app = Factory::getApplication();
		$registrant_id = $app->input->getInt('registrant_id', 0);
		$sql = 'SELECT * FROM #__eb_registrants WHERE id=' . $registrant_id;
		$db->setQuery($sql);
		$row = $db->loadObject();
		
		// only promote once
		if ($row->published == 3 || $row->published == 5)
		{
    		$sql = 'SELECT a.* FROM #__eb_events as a WHERE a.id=' . $row->event_id;
    		$db->setQuery($sql);
    		$event = $db->loadObject();

    		$sql = 'SELECT SUM(number_registrants) FROM #__eb_registrants WHERE event_id='.$event->id.' AND group_id=0 AND (published=1 or published=4) group by event_id';
        	$db->setQuery($sql);
        	$total_number=$db->loadResult();
            Log::add('Promoting '.$row->first_name.' '.$row->last_name.' total '.$total_number.' capacity '.$event->event_capacity.' by '.$user->get('name'), Log::INFO, 'com_mbwc');  
		
    		// only promote one person.
    		MBWCHelper::checkWaitList($event->id,1);
 			$url = Route::_("index.php?option=com_eventbooking&view=registrantlist&id=".$event->id."&tmpl=component&waitlist=".$waitlist."&Itemid=".$itemId,false);
            $this->setRedirect($url,"Registrant Promoted.");
		}
        
	}
    public function send_registrant_mail()
    {
		$config = \EventbookingHelper::getConfig();	
        $app = Factory::getApplication();
		$registrantId = $app->input->getInt('registrantId') ;
		$email = $app->input->getVar('email') ;
		$jinput = Factory::getApplication()->input;		
		$content = $app->input->get('content', '', 'raw'); 
		$Itemid = $app->input->getVar('Itemid') ;
		$waitlist = $app->input->getVar('waitlist') ;
		$eventId = $app->input->getVar('eventId') ;
		if ($email)
		{
			//send mail
			$user = Factory::getUser();
			
			$replyName = $user->get('name');
			if ($replyName)
			{
			    $replyStr=" from ".$replyName;
			}
			$replyEmail = $user->get('email');
			$ccEmail = $replyEmail;
			if ($email === $ccEmail)
			{
			    $ccEmail=null;
			}

			if (MBWCHelper::sendMail($email, "Mail ". $replyStr, $content, 1, $ccEmail, null, null, $replyEmail, $replyName))
			{
 		        $msg = "Mail sent successfully.";
			    $url = Route::_("index.php?option=com_eventbooking&view=registrantlist&id=".$eventId."&tmpl=component&waitlist=".$waitlist."&Itemid=".$itemId,false);
			}
			else
			{
			    $url = Route::_("index.php?option=com_mbwc&view=mailmember&registrant_id=".$registrantId."&Itemid=".$Itemid,false);
			    $msg= "Error sending mail";
			}
            Log::add($user->get('name').' Send email to registrant:'.$email.' msg='.$msg, Log::INFO, 'com_mbwc');
		}	
		else
		{
		    $msg= "No one to email.";
			$url = Route::_("index.php?option=com_mbwc&task=mailmember&registrant_id=".$registrantId."&Itemid=".Itemid, false);
		}    
        $this->setRedirect($url,$msg);
    }

}
?>