<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
namespace MBWC\Component\MBWC\Site\View\Mailleader;

// no direct access
defined( '_JEXEC' ) or die ;

/**
 * HTML View class for EventBooking component
 *
 * @static
 * @package		Joomla
 * @subpackage	Events Booking
 */
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Factory;
use MBWC\Component\MBWC\Site\Helper\MBWCHelper;
use Joomla\CMS\HTML\HTMLHelper;

require_once JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';

// Require library + register autoloader
class HtmlView extends BaseHtmlView
{
	function display($tpl = null)
	{	
		$this->setLayout('default') ;
		$user = Factory::getUser();			    
		$app = Factory::getApplication() ;
		$option="com_mbwc";

		$published	= $app->getUserStateFromRequest( $option.'published', 'published', -1, 'int');												
		$eventId    = $app->getUserStateFromRequest( $option.'event_id',			'event_id',			0,				'int' );
		
		$db = Factory::getDbo();
		$sql = 'select title from #__eb_events where id = '.$eventId;
	    $db->setQuery($sql) ;
		$this->title = $db->loadResult();
		
    	$this->emails = MBWCHelper::getLeaderEmail($eventId);

		$this->content = $app->getInput()->get('content', '', 'raw'); 
		$Itemid =  $app->getInput()->getInt('Itemid');						
		$this->Itemid = $Itemid;
		$this->eventId = $eventId;
		$this->tmpl    =  $app->getInput()->getVar('tmpl', '');	
		$btn    =  $app->getInput()->getVar('btn', '');	
		$this->user = $user;
        $session = Factory::getSession() ;

		parent::display($tpl);
	}
}