<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
namespace MBWC\Component\MBWC\Site\View\Mailmember;

// no direct access
defined( '_JEXEC' ) or die ;

/**
 * HTML View class for EventBooking component
 *
 * @static
 * @package		Joomla
 * @subpackage	Events Booking
 */
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Factory;
use MBWC\Component\MBWC\Site\Helper\MBWCHelper;
use Joomla\CMS\HTML\HTMLHelper;

require_once JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';

// Require library + register autoloader
class HtmlView extends BaseHtmlView
{
	function display($tpl = null)
	{	
		$this->setLayout('default') ;
		$user = Factory::getUser();			    
		$app = Factory::getApplication() ;
		$option="opt_mbwc";

		$published	= $app->getUserStateFromRequest( $option.'published', 'published', -1, 'int');												
		$this->registrantId			= $app->getUserStateFromRequest( $option.'registrant_id',			'registrant_id',			0,				'int' );
		$this->waitlist			= $app->getUserStateFromRequest( $option.'waitlist',			'waitlist',			0,				'int' );
		
		$db = Factory::getDbo();
		$sql = 'select * from #__eb_registrants where id = '.$this->registrantId;
	    $db->setQuery($sql) ;
		$this->row = $db->loadObject();
		$this->eventId = 	$this->row->event_id;
		
    	$this->email = MBWCHelper::getRegistrantEmail($this->row);

		$this->content = $app->input->get('content', '', 'raw'); 

		$Itemid = $app->input->getInt('Itemid');						
		$this->Itemid = $Itemid;
		$this->tmpl    = $app->input->getVar('tmpl', '');	
		$btn    = $app->input->getVar('btn', '');	
		$this->user = $user;
        $session = Factory::getSession() ;

		parent::display($tpl);
	}
}