<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
namespace MBWC\Component\MBWC\Site\View\Outstandingtripreports;

// no direct access
defined( '_JEXEC' ) or die ;

/**
 * HTML View class for EventBooking component
 *
 * @static
 * @package		Joomla
 * @subpackage	Events Booking
 */
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Factory;
use MBWC\Component\MBWC\Site\Helper\MBWCHelper;
use Joomla\CMS\HTML\HTMLHelper;

require_once JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';

// Require library + register autoloader
class HtmlView extends BaseHtmlView
{
	function display($tpl = null)
	{		
	    $this->setLayout('default') ;
		$app = Factory::getApplication() ;			
		$user = Factory::getUser() ;			
		$db = Factory::getDbo();

		//$pagination = & $this->get('Pagination');						
		$Itemid = $app->getInput()->getInt('Itemid', 0) ;			
		$user = Factory::getUser();									

		$sql = "select a.*, c.name, g.name as owner, (select group_concat(d.name separator ',') from jos_eb_event_categories as e inner join 
 jos_eb_categories as d on d.id = e.category_id and e.event_id=a.id) as category from jos_eb_events as a join jos_users as c on c.id=JSON_UNQUOTE(json_extract(a.custom_fields,'$.field_leader_id1')) join jos_users as g on g.id=a.created_by 
 where not exists (select 1 from jos_mbwc_tripreports as b where b.event_id=a.id) and
 exists (select 1 from jos_eb_event_categories as f join jos_eb_categories as g on g.id=f.category_id join jos_mbwc_categoryextras as h on g.id=h.category_id where f.event_id=a.id and h.trip_report_required=1) and
 not exists (select 1 from jos_mbwc_tripreports as g join jos_eb_events as h on g.event_id = h.id where h.parent_id=a.id) and a.published=1 and a.event_date > '2021-08-30' and a.event_date <= CURDATE() order by a.event_date desc";
		$db->setQuery($sql) ;
		
		$this->items = $db->loadObjectList() ;
		$this->Itemid=$Itemid ;
		parent::display($tpl) ;				
	}
}