<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;
use Joomla\CMS\Editor\Editor;
use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;
Factory::getDocument()->getWebAssetManager()->useScript('keepalive');

$user = Factory::getUser();
$editor = Editor::getInstance($user->getParam('editor', Factory::getConfig()->get('editor')));
?>
<div id="eb-mail-registrant-page" class="eb-container row-fluid">
<button class="btn btn-primary" onclick="window.history.back();">Go Back</button>
	<input type="submit" value="Mail" class="button btn btn-primary" onclick="document.adminForm.submit();"/>		
<h1 class="eb_title">Mail Registrant <?php echo $this->row->first_name." ".$this->row->last_name?></h1>

<section>
   <div>
<form action="<?php Route::_('index.php');?>" method="post" name="adminForm">
	<table width="100%">
		<tr>			
			<td>
				Content				
			</td>
			<td>
						<?php echo $editor->display( 'content',  $this->content , '100%', '250', '50', '10' ) ; ?>		
			</td>
		</tr>
	</table>
 	<input type="hidden" name="email" value="<?php echo $this->email; ?>" />
	<input type="hidden" name="Itemid" value="<?php echo $this->Itemid; ?>" />
	<input type="hidden" name="option" value="com_mbwc" />
	<input type="hidden" name="controller" value="registrant" />
	<input type="hidden" name="registrantId" value="<?php echo $this->registrantId; ?>" />
	<input type="hidden" name="waitlist" value="<?php echo $this->waitlist; ?>" />
	<input type="hidden" name="eventId" value="<?php echo $this->eventId; ?>" />
	<input type="hidden" name="task" value="send_registrant_mail" />

	<?php echo JHtml::_( 'form.token' ); ?>			
</form>
   </div>
</section>


</div>
