-<?php
/**
 * @version		1.6.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;
?>

<style>
    @media 
only screen and (max-width: 760px)  {

	/* Force table to not be like tables anymore */
	table.jdisplay, table.jdisplay thead, table.jdisplay tbody, table.jdisplay th, table.jdisplay td, table.jdisplay tr { 
		display: block; 
	}
	
	/* Hide table headers (but not display: none;, for accessibility) */
	table.jdisplay thead tr { 
		position: absolute;
		top: -9999px;
		left: -9999px;
	}
	
	table.jdisplay tr { border: 1px solid #ccc; }
	
	table.jdisplay td { 
		/* Behave  like a "row" */
		border: none;
		border-bottom: 1px solid #eee; 
		position: relative;
		padding-left: 50%; 
	}
	
	table.jdisplay td:before { 
		/* Now like a table header */
		position: absolute;
		/* Top/left values mimic padding */
		top: 6px;
		left: 6px;
		width: 45%; 
		padding-right: 10px; 
		white-space: nowrap;
		font-weight: bold;
	}
	/*
	Label the data
	*/
	table.jdisplay td:nth-of-type(1):before { content: "Submit Date:"; }
	table.jdisplay td:nth-of-type(2):before { content: "Name:"; }
	table.jdisplay td:nth-of-type(3):before { content: "Membership Type:"; }
	table.jdisplay td:nth-of-type(3):before { content: "Amount Paid:"; }
	table.jdisplay td:nth-of-type(3):before { content: "Status:"; }
	table.jdisplay td:nth-of-type(4):before { content: "Committee Approved:"; }
}
</style>

<script language="javascript">
    function delete_membership(id) {
        var form = document.adminForm ;
        form.task.value = 'delete_membership' ;
        form.id.value = id ;
        form.submit() ;
    }
    function reject_membership(id) {
        var form = document.adminForm ;
        var pr = "";
        while (pr == "")
        {
          var pr = prompt("Please enter a Reason for rejecting this Membership. Press the cancel button to back out of this action.\n\nReason (Required):");
        }
        if (pr === null) {
            return false;
        }
        form.reason.value = pr;
        form.task.value = 'reject_membership' ;
        form.id.value = id ;
        form.submit() ;
    }
    function defer_membership(id) {
        var form = document.adminForm ;
        var pr = "";
        while (pr == "")
        {
          var pr = prompt("Please enter a Reason for defering this Membership. Press the cancel button to back out of this action.\n\nReason (Required):");
        }
        if (pr === null) {
            return false;
        }
        form.reason.value = pr;
        form.task.value = 'defer_membership' ;
        form.id.value = id ;
        form.submit() ;
    }
    function undefer_membership(id) {
        var form = document.adminForm ;
        var pr = "";
        while (pr == "")
        {
          var pr = prompt("Please enter a Reason for un-defering this Membership. Press the cancel button to back out of this action.\n\nReason (Required):");
        }
        if (pr === null) {
            return false;
        }
        form.reason.value = pr;
       form.task.value = 'undefer_membership' ;
        form.id.value = id ;
        form.submit() ;
    }
</script>
<h1 class="eb-page-heading">Membership Applications</h1>
<p><b>Note: </b>Once a Visitor submits an Membership Application, they can then continue to book on walks as a Visitor past the 3 walk limit.</p>
<p>"Delete" will delete the membership application. Use this in case of duplicate entries, or for test applications.</p><p>"Defer" means their membership won't count towards continued visitor walks after the 3 qualifying walks. Deferred applications can be "Un-deferred"</p>
<p>"Reject" will mean that visitors will need to restart their qualifying walks. Walks done before the reject date will not be counted.</p>
<form method="post" name="adminForm" id="adminForm" action="<?php echo JRoute::_('index.php?option=com_mbwc&view=memberships&Itemid='.$this->Itemid); ; ?>">
	<?php
        if(count($this->items))
        {
          {?>
		<table width="100%">
		<tr>
			<td align="left">
				<?php echo "<b>Filters:</b>"; ?>:
				<?php echo "Last Name";?>
				<select name="filter_name" id="filter_name" onchange="document.adminForm.submit();"> 	
		        <option value="">All</option>
        		<?php
        		foreach ($this->last_names as $row) 
        		{
        		?>			
        			<option value="<?php echo $row->last_name;?>"<?php if ($this->filter_name == $row->last_name) echo " selected";?> > <?php  echo $row->last_name; ?> </option>	  
        		<?php
        		}
        		?>
        		</select>

				<button class="btn btn-primary btn-sm" onclick="document.getElementById('filter_name').value='';this.form.submit();">Reset</button>		
			</td >	
		</tr>
	</table>	
	<?php } ?>
	<table class="table jdisplay table-bordered table-considered table-striped">
                <thead>
                    <tr>
                        <th>
                            Submit Date
                        </th>
                        <th>
                            Name
                        </th>
                        <th >
                            Membership Type
                        </th>
                        <th >
                            Amount Paid
                        </th>
                        <th >
                            Status
                        </th>
                        <th >
                            Delete Reason
                        </th>
                        <th >
                            Defer Reason
                        </th>
                        <th >
                            Committee Approved
                        </th>
                        <th>Actions</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    for ($i=0, $n=count( $this->items ); $i < $n; $i++)
                    {
                        $row = &$this->items[$i];
                        ?>
                        <tr>
                            <td >
                                <?php echo JHtml::_('date', $row->submit_date, 'd-m-Y'); ?>
                            </td>
                            <td>
                                <?php
                                $link = JRoute::_('index.php?option=com_mbwc&controller=membership&view=membership&id='.$row->id) ;
                                echo "<a href='".$link."'>".$row->first_name." ".$row->last_name."</a>";      
                                ?>
                            </td>
                            <td>
                                <?php echo $row->membership_type ; ?>
                            </td>
                            <td>
                                <?php echo $row->amount_paid ; ?>
                            </td>
                            <td >
                                <?php 
                        		$db = JFactory::getDBO();
                        		$query = "select 1 from jos_users as a join jos_comprofiler as b on b.user_id=a.id where (a.name = '" . str_replace("'", "\'", $row->first_name) . ' '. str_replace("'", "\'", $row->last_name)."' or a.email='".$row->email."') and b.cb_status='Current'";
                        		$db->setQuery($query);
                        		$exists = $db->loadResult();

                                if ($row->user_id || $exists) {
                                  echo "Created";
                                  }
                                  elseif ($row->status == 0) {
                                  echo "New";
                                  }
                                  elseif ($row->status ==2) {
                                  echo "Rejected";
                                  }
                                  elseif ($row->status==1) {
                                  echo "Deferred";
                                  }?>
                            </td>
                            <td>
                                <?php if ($row->reject_date != "0000-00-00") echo $row->reject_date . ":";
                                echo $row->reject_reason; ?>
                            </td>
                            <td>
                                <?php if ($row->defer_date != "0000-00-00") echo $row->defer_date . ":";
                                echo $row->defer_reason ; ?>
                            </td>
                            <td >
                                <?php echo $row->committee_approved ; ?>
                            </td>
                            <td>
                            <?php
                        		if (!$row->user_id && !$exists && $row->status != 2 && $row->status != 1)
                        		{ ?>
                               <a class="btn btn-small btn-primary btn-sm" title="Create User" href="<?php echo JRoute::_('index.php?option=com_mbwc&controller=membership&task=create_user&id='.$row->id.'&Itemid='.$this->Itemid); ?>">Create User</a>
                               <a class="btn btn-small btn-primary btn-sm" href="javascript:defer_membership(<?php echo $row->id; ?>)"><?php echo "Defer"; ?></a>
                               <a class="btn btn-small btn-primary btn-sm" href="javascript:reject_membership(<?php echo $row->id; ?>)"><?php echo "Reject"; ?></a>

                                <?php }
                                if (!$row->user_id && !$exists && $row->status == 1)
                        		{ ?>
                               <a class="btn btn-small btn-primary btn-sm" href="javascript:reject_membership(<?php echo $row->id; ?>)"><?php echo "Reject"; ?></a>
                               <a class="btn btn-small btn-primary btn-sm" href="javascript:undefer_membership(<?php echo $row->id; ?>)"><?php echo "Un-Defer"; ?></a>
                               <?php } ?>
                               <a class="btn btn-small btn-primary btn-sm" onclick="return confirm('Are you sure you want to delete?')" href="javascript:delete_membership(<?php echo $row->id; ?>)"><?php echo "Delete"; ?></a>
                            </td>
                        </tr>
                        <?php
                    }
                    ?>
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="6">
                            <?php echo $this->pagination->getPagesLinks(); ?>
                        </td>
                    </tr>
                </tfoot>
            </table>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="controller" value="membership" />
         <input type="hidden" name="id" value="" />
         <input type="hidden" name="reason" value="" />
       <input type="hidden" name="Itemid" value="<?php echo $this->Itemid ; ?>" />
        <input type="hidden" name="option" value="com_mbwc" />
    <?php
    }
    ?>
</form>

