<?php
/**
 * @version		1.5.3
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 - 2013 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
use MBWC\Component\MBWC\Site\Helper\MBWCHelper;
require_once JPATH_ADMINISTRATOR . '/components/com_eventbooking/libraries/rad/bootstrap.php';

defined( '_JEXEC' ) or die ;
?>
	<style>
    .myrow {
      width: 100%;
    }

    @media only screen and (min-width: 768px) {
      .myrow {
          display: table;height: 50px; overflow: hidden;
      }
      .mycol {
        float: left; height: 50px; line-height: 50px;
        width: auto;display: table-cell; vertical-align: middle;
        margin-right: 5px;
      }
    }
	</style>
<?php	
$width = (int) $this->config->map_width ;
if (!$width) 
{
	$width = 500 ;	
}							
$height = (int) $this->config->map_height ;
if (!$height) 
{
	$height = 450 ;
}	
?>
<div id="eb-category-page-table" class="eb-container row-fluid">	

	<h1 class="eb-page-heading">Upcoming Events</h1>
<?php	
	
if ($this->config->use_https)
    $ssl = true ;
else 
    $ssl = false ;
    
$app		= JFactory::getApplication();
$router = $app->getRouter();
?> 
<form method="post" class="form-inline" name="adminForm" id="adminForm" action="<?php echo JRoute::_('index.php?option=com_mbwc&view=upcomingevents&Itemid='.$this->Itemid); ; ?>">
    <div class="myrow">
			<div class="mycol">
				<?php echo "<b>&nbsp;Filters:</b>"; ?>
				</div><div class="mycol">
                <label for="filter_day">Day:</label>
				<select class="form-select" name="filter_day" id="filter_day" onchange="document.adminForm.submit();" >
                    <option value="-1" <?php if ($this->filter_day == -1) echo "selected";?>>All</option>
                    <option value="1" <?php if ($this->filter_day ==1) echo "selected";?>>Sunday</option>
                    <option value="2" <?php if ($this->filter_day ==2) echo "selected";?>>Monday</option>
                    <option value="3" <?php if ($this->filter_day ==3) echo "selected";?>>Tuesday</option>
                    <option value="4" <?php if ($this->filter_day ==4) echo "selected";?>>Wednesday</option>
                    <option value="5" <?php if ($this->filter_day ==5) echo "selected";?>>Thursday</option>
                    <option value="6" <?php if ($this->filter_day ==6) echo "selected";?>>Friday</option>
                    <option value="7" <?php if ($this->filter_day ==7) echo "selected";?>>Saturday</option>
                    <option value="8" <?php if ($this->filter_day ==8) echo "selected";?>>Weekend</option>
				</select>
  				</div>
				<div class="mycol">
                <label for="filter_category">Category:</label>
				<select class="form-select" name="filter_category" id="filter_category" onchange="document.adminForm.submit();" >
                    <option value="-1" <?php if ($this->filter_category == -1) echo "selected";?>>All</option>
                    <option value="1" <?php if ($this->filter_category ==1) echo "selected";?>>Gentle Easy</option>
                    <option value="2" <?php if ($this->filter_category ==2) echo "selected";?>>Easy</option>
                    <option value="3" <?php if ($this->filter_category ==3) echo "selected";?>>Easy Medium</option>
                    <option value="4" <?php if ($this->filter_category ==4) echo "selected";?>>Medium</option>
                    <option value="5" <?php if ($this->filter_category ==5) echo "selected";?>>Medium Hard/Hard</option>
                    <option value="11" <?php if ($this->filter_category ==11) echo "selected";?>>Medium or MH/H</option>
                    <option value="6" <?php if ($this->filter_category ==6) echo "selected";?>>Basecamp</option>
                    <option value="7" <?php if ($this->filter_category ==7) echo "selected";?>>Track Ahead</option>
                    <option value="8" <?php if ($this->filter_category ==8) echo "selected";?>>Bike</option>
                    <option value="9" <?php if ($this->filter_category ==9) echo "selected";?>>Other</option>
                    <option value="10" <?php if ($this->filter_category ==10) echo "selected";?>>Recce</option>
				</select>
				</div>
				<div class="mycol">
               <label for="filter_leader">Leader:</label>
				<select class="form-select" name="filter_leader" id="filter_leader" onchange="document.adminForm.submit();"> 	
		        <option value="all">All</option>
        		<?php
       		foreach ($this->leaders as $row) 
        		{
        		?>			
        			<option value="<?php echo $row->name;?>"<?php if ($this->filter_leader == $row->name) echo " selected";?> > <?php  echo $row->name; ?> </option>	  
        		<?php
        		}
        		?>
        		</select>
        		</div>
        		<div class="mycol" style="line-height:unset;">
        		<div class="form-check form-switch">
        		    <input class="form-check-input" type="checkbox" id="filter_notfull" onchange="document.getElementById('set_notfull').value='1';document.adminForm.submit();" name="filter_notfull" value="1" <?php if ($this->filter_notfull) echo " checked";?>>
                    <label class="form-check-label" for="filter_notfull">Hide Full Events</label>
				</div>
				<div class="form-check form-switch">
        		    <input class="form-check-input" type="checkbox" id="filter_notme" onchange="document.getElementById('set_notme').value='1';document.adminForm.submit();" name="filter_notme" value="1" <?php if ($this->filter_notme) echo " checked";?>>
                    <label class="form-check-label" for="filter_notme">Hide My Bookings</label>
                </div>
                </div>
                <div class="mycol">
				<button class="btn btn-primary btn-sm" onclick="document.getElementById('reset').value='1'; document.getElementById('filter_notme').value='';document.getElementById('filter_day').value='';document.getElementById('filter_category').value='';document.getElementById('filter_leader').value='';document.getElementById('filter_notfull').value='';document.getElementById('start').value='0';this.form.submit();">Reset</button>		
			</div>	
			</div>
	<?php 
		if ($this->items && count($this->items))
		{
			echo MBWCHelper::loadCommonLayout('events_table.php', array('items' => $this->items, 'config' => $this->config, 'Itemid' => $this->Itemid, 'nullDate' => $this->nullDate , 'param' => null, 'ssl' => $ssl, 'width' => $width, 'height' => $height , 'viewLevels' => $this->viewLevels));
		}	
		if ($this->pagination->total > $this->pagination->limit)
		{
		?>
			<div class="pagination">
                <?php 
                $router->setVar( 'filter_day', $this->filter_day );
                $router->setVar( 'filter_category', $this->filter_category );
                echo $this->pagination->getPagesLinks();
                ?>
			</div>	    		    	
		<?php	
		}
	?>	
	<input type="hidden" name="start" value="" />	
	<input type="hidden" name="Itemid" value="<?php echo $this->config->Itemid; ?>" />	
	<input type="hidden" name="option" value="com_mbwc" />
	<input type="hidden" name="view" value="upcomingevents" />
	<input type="hidden" name="layout" value="table" />	
	<input type="hidden" id="reset" name="reset" value="" />	
	<input type="hidden" id="set_notfull" name="set_notfull" value="" />	
	<input type="hidden" id="set_notme" name="set_notme" value="" />	
</form>
</div>
<script>
if ( window.history.replaceState ) {
  window.history.replaceState( null, null, window.location.href );
}
</script>